// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/dao/pj/implments"
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PeopleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : People的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type PeopleDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条People
	 *
	 * @Function Parameters      : 需要插入的People
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	InsertOne(*model.People) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的People
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的People
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的People
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.People, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改People
	 *
	 * @Function Parameters      : 需要修改的People
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateOne(*model.People) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条People
	 *
	 * @Function Parameters      : 需要插入的People列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Insert(*[]model.People) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条People
	 *
	 * @Function Parameters      : 需要删除的People列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Delete(*[]model.People) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除People
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询People
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.People, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询People并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条People
	 *
	 * @Function Parameters      : 需要修改的People列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Update(*[]model.People) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改People
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.People, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewPeopleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PeopleDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : PeopleDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewPeopleDAO(session *xorm.Session, userid string) PeopleDAO {
	return implments.NewPeopleDAOImplement(session, userid)
}
