// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/dao/pj/implments"
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ProjectPhaseResourcePeopleLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourcePeopleLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseResourcePeopleLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	InsertOne(*model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteOne(string, string, string, string, grmi.Date) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectOne(string, string, string, string, grmi.Date) (*model.ProjectPhaseResourcePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateOne(*model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Insert(*[]model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 需要删除的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Delete(*[]model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ProjectPhaseResourcePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ProjectPhaseResourcePeopleLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Update(*[]model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ProjectPhaseResourcePeopleLst, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseResourcePeopleLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseResourcePeopleLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ProjectPhaseResourcePeopleLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewProjectPhaseResourcePeopleLstDAO(session *xorm.Session, userid string) ProjectPhaseResourcePeopleLstDAO {
	return implments.NewProjectPhaseResourcePeopleLstDAOImplement(session, userid)
}
