// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : Phase的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var Phase_PhaseId = grmi.NewField("PhaseId", "[PJ_Phase].PhaseId", "phaseid", grmi.TypeString)
var Phase_Descr = grmi.NewField("Descr", "[PJ_Phase].Descr", "descr", grmi.TypeString)
var Phase_PhaseType = grmi.NewField("PhaseType", "[PJ_Phase].PhaseType", "phasetype", grmi.TypeString)
var Phase_CtrlPara1 = grmi.NewField("CtrlPara1", "[PJ_Phase].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Phase_CtrlPara2 = grmi.NewField("CtrlPara2", "[PJ_Phase].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Phase_CtrlStr1 = grmi.NewField("CtrlStr1", "[PJ_Phase].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Phase_CtrlStr2 = grmi.NewField("CtrlStr2", "[PJ_Phase].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Phase_CtrlTime1 = grmi.NewField("CtrlTime1", "[PJ_Phase].CtrlTime1", "ctrltime1", grmi.TypeDate)
var Phase_CtrlTime2 = grmi.NewField("CtrlTime2", "[PJ_Phase].CtrlTime2", "ctrltime2", grmi.TypeDate)
var Phase_LastModify = grmi.NewField("LastModify", "[PJ_Phase].LastModify", "lastmodify", grmi.TypeDateTime)
var Phase_LastUser = grmi.NewField("LastUser", "[PJ_Phase].LastUser", "lastuser", grmi.TypeString)
var Phase_CreateTime = grmi.NewField("CreateTime", "[PJ_Phase].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Phase的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var Phase = grmi.NewEntity(
	"PJ_Phase",
	func() interface{} { return &model.Phase{} },
	map[string]grmi.Field{
		Phase_PhaseId.Name:    Phase_PhaseId,
		Phase_Descr.Name:      Phase_Descr,
		Phase_PhaseType.Name:  Phase_PhaseType,
		Phase_CtrlPara1.Name:  Phase_CtrlPara1,
		Phase_CtrlPara2.Name:  Phase_CtrlPara2,
		Phase_CtrlStr1.Name:   Phase_CtrlStr1,
		Phase_CtrlStr2.Name:   Phase_CtrlStr2,
		Phase_CtrlTime1.Name:  Phase_CtrlTime1,
		Phase_CtrlTime2.Name:  Phase_CtrlTime2,
		Phase_LastModify.Name: Phase_LastModify,
		Phase_LastUser.Name:   Phase_LastUser,
		Phase_CreateTime.Name: Phase_CreateTime,
	},
	[]string{},
	[]string{"Descr", "PhaseType", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
