// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : Project的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var Project_ProjectId = grmi.NewField("ProjectId", "[PJ_Project].ProjectId", "projectid", grmi.TypeString)
var Project_Descr = grmi.NewField("Descr", "[PJ_Project].Descr", "descr", grmi.TypeString)
var Project_ProjectType = grmi.NewField("ProjectType", "[PJ_Project].ProjectType", "projecttype", grmi.TypeString)
var Project_ContractType = grmi.NewField("ContractType", "[PJ_Project].ContractType", "contracttype", grmi.TypeString)
var Project_ProjectManager = grmi.NewField("ProjectManager", "[PJ_Project].ProjectManager", "projectmanager", grmi.TypeString)
var Project_PlanStartDate = grmi.NewField("PlanStartDate", "[PJ_Project].PlanStartDate", "planstartdate", grmi.TypeDate)
var Project_PlanEndDate = grmi.NewField("PlanEndDate", "[PJ_Project].PlanEndDate", "planenddate", grmi.TypeDate)
var Project_ActualStartDate = grmi.NewField("ActualStartDate", "[PJ_Project].ActualStartDate", "actualstartdate", grmi.TypeDate)
var Project_ActualEndDate = grmi.NewField("ActualEndDate", "[PJ_Project].ActualEndDate", "actualenddate", grmi.TypeDate)
var Project_Budget = grmi.NewField("Budget", "[PJ_Project].Budget", "budget", grmi.TypeFloat64)
var Project_ActualCost = grmi.NewField("ActualCost", "[PJ_Project].ActualCost", "actualcost", grmi.TypeFloat64)
var Project_AmountPaid = grmi.NewField("AmountPaid", "[PJ_Project].AmountPaid", "amountpaid", grmi.TypeFloat64)
var Project_Status = grmi.NewField("Status", "[PJ_Project].Status", "status", grmi.TypeInt)
var Project_PaymentStatus = grmi.NewField("PaymentStatus", "[PJ_Project].PaymentStatus", "paymentstatus", grmi.TypeInt)
var Project_CustomerId = grmi.NewField("CustomerId", "[PJ_Project].CustomerId", "customerid", grmi.TypeString)
var Project_CustomerName = grmi.NewField("CustomerName", "[PJ_Project].CustomerName", "customername", grmi.TypeString)
var Project_Remark = grmi.NewField("Remark", "[PJ_Project].Remark", "remark", grmi.TypeString)
var Project_CtrlPara1 = grmi.NewField("CtrlPara1", "[PJ_Project].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Project_CtrlPara2 = grmi.NewField("CtrlPara2", "[PJ_Project].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Project_CtrlStr1 = grmi.NewField("CtrlStr1", "[PJ_Project].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Project_CtrlStr2 = grmi.NewField("CtrlStr2", "[PJ_Project].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Project_CtrlTime1 = grmi.NewField("CtrlTime1", "[PJ_Project].CtrlTime1", "ctrltime1", grmi.TypeDate)
var Project_CtrlTime2 = grmi.NewField("CtrlTime2", "[PJ_Project].CtrlTime2", "ctrltime2", grmi.TypeDate)
var Project_LastModify = grmi.NewField("LastModify", "[PJ_Project].LastModify", "lastmodify", grmi.TypeDateTime)
var Project_LastUser = grmi.NewField("LastUser", "[PJ_Project].LastUser", "lastuser", grmi.TypeString)
var Project_CreateTime = grmi.NewField("CreateTime", "[PJ_Project].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Project的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var Project = grmi.NewEntity(
	"PJ_Project",
	func() interface{} { return &model.Project{} },
	map[string]grmi.Field{
		Project_ProjectId.Name:       Project_ProjectId,
		Project_Descr.Name:           Project_Descr,
		Project_ProjectType.Name:     Project_ProjectType,
		Project_ContractType.Name:    Project_ContractType,
		Project_ProjectManager.Name:  Project_ProjectManager,
		Project_PlanStartDate.Name:   Project_PlanStartDate,
		Project_PlanEndDate.Name:     Project_PlanEndDate,
		Project_ActualStartDate.Name: Project_ActualStartDate,
		Project_ActualEndDate.Name:   Project_ActualEndDate,
		Project_Budget.Name:          Project_Budget,
		Project_ActualCost.Name:      Project_ActualCost,
		Project_AmountPaid.Name:      Project_AmountPaid,
		Project_Status.Name:          Project_Status,
		Project_PaymentStatus.Name:   Project_PaymentStatus,
		Project_CustomerId.Name:      Project_CustomerId,
		Project_CustomerName.Name:    Project_CustomerName,
		Project_Remark.Name:          Project_Remark,
		Project_CtrlPara1.Name:       Project_CtrlPara1,
		Project_CtrlPara2.Name:       Project_CtrlPara2,
		Project_CtrlStr1.Name:        Project_CtrlStr1,
		Project_CtrlStr2.Name:        Project_CtrlStr2,
		Project_CtrlTime1.Name:       Project_CtrlTime1,
		Project_CtrlTime2.Name:       Project_CtrlTime2,
		Project_LastModify.Name:      Project_LastModify,
		Project_LastUser.Name:        Project_LastUser,
		Project_CreateTime.Name:      Project_CreateTime,
	},
	[]string{},
	[]string{"Descr", "ProjectType", "ContractType", "ProjectManager", "PlanStartDate", "PlanEndDate", "ActualStartDate", "ActualEndDate", "Budget", "ActualCost", "AmountPaid", "Status", "PaymentStatus", "CustomerId", "CustomerName", "Remark", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
