// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpenseLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
var ProjectPhaseExpenseLst_ProjectId = grmi.NewField("ProjectId", "[PJ_ProjectPhaseExpenseLst].ProjectId", "projectid", grmi.TypeString)
var ProjectPhaseExpenseLst_PhaseId = grmi.NewField("PhaseId", "[PJ_ProjectPhaseExpenseLst].PhaseId", "phaseid", grmi.TypeString)
var ProjectPhaseExpenseLst_Pos = grmi.NewField("Pos", "[PJ_ProjectPhaseExpenseLst].Pos", "pos", grmi.TypeInt)
var ProjectPhaseExpenseLst_ResourceId = grmi.NewField("ResourceId", "[PJ_ProjectPhaseExpenseLst].ResourceId", "resourceid", grmi.TypeString)
var ProjectPhaseExpenseLst_Descr = grmi.NewField("Descr", "[PJ_ProjectPhaseExpenseLst].Descr", "descr", grmi.TypeString)
var ProjectPhaseExpenseLst_ExpenseTypeId = grmi.NewField("ExpenseTypeId", "[PJ_ProjectPhaseExpenseLst].ExpenseTypeId", "expensetypeid", grmi.TypeString)
var ProjectPhaseExpenseLst_ActualExpense = grmi.NewField("ActualExpense", "[PJ_ProjectPhaseExpenseLst].ActualExpense", "actualexpense", grmi.TypeFloat64)
var ProjectPhaseExpenseLst_Status = grmi.NewField("Status", "[PJ_ProjectPhaseExpenseLst].Status", "status", grmi.TypeInt)
var ProjectPhaseExpenseLst_CostCenterId = grmi.NewField("CostCenterId", "[PJ_ProjectPhaseExpenseLst].CostCenterId", "costcenterid", grmi.TypeString)
var ProjectPhaseExpenseLst_ExpenseDate = grmi.NewField("ExpenseDate", "[PJ_ProjectPhaseExpenseLst].ExpenseDate", "expensedate", grmi.TypeDate)
var ProjectPhaseExpenseLst_Remark = grmi.NewField("Remark", "[PJ_ProjectPhaseExpenseLst].Remark", "remark", grmi.TypeString)
var ProjectPhaseExpenseLst_CtrlPara1 = grmi.NewField("CtrlPara1", "[PJ_ProjectPhaseExpenseLst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ProjectPhaseExpenseLst_CtrlPara2 = grmi.NewField("CtrlPara2", "[PJ_ProjectPhaseExpenseLst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ProjectPhaseExpenseLst_CtrlStr1 = grmi.NewField("CtrlStr1", "[PJ_ProjectPhaseExpenseLst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ProjectPhaseExpenseLst_CtrlStr2 = grmi.NewField("CtrlStr2", "[PJ_ProjectPhaseExpenseLst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ProjectPhaseExpenseLst_CtrlTime1 = grmi.NewField("CtrlTime1", "[PJ_ProjectPhaseExpenseLst].CtrlTime1", "ctrltime1", grmi.TypeDate)
var ProjectPhaseExpenseLst_CtrlTime2 = grmi.NewField("CtrlTime2", "[PJ_ProjectPhaseExpenseLst].CtrlTime2", "ctrltime2", grmi.TypeDate)
var ProjectPhaseExpenseLst_LastModify = grmi.NewField("LastModify", "[PJ_ProjectPhaseExpenseLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ProjectPhaseExpenseLst_LastUser = grmi.NewField("LastUser", "[PJ_ProjectPhaseExpenseLst].LastUser", "lastuser", grmi.TypeString)
var ProjectPhaseExpenseLst_CreateTime = grmi.NewField("CreateTime", "[PJ_ProjectPhaseExpenseLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpenseLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
var ProjectPhaseExpenseLst = grmi.NewEntity(
	"PJ_ProjectPhaseExpenseLst",
	func() interface{} { return &model.ProjectPhaseExpenseLst{} },
	map[string]grmi.Field{
		ProjectPhaseExpenseLst_ProjectId.Name:     ProjectPhaseExpenseLst_ProjectId,
		ProjectPhaseExpenseLst_PhaseId.Name:       ProjectPhaseExpenseLst_PhaseId,
		ProjectPhaseExpenseLst_Pos.Name:           ProjectPhaseExpenseLst_Pos,
		ProjectPhaseExpenseLst_ResourceId.Name:    ProjectPhaseExpenseLst_ResourceId,
		ProjectPhaseExpenseLst_Descr.Name:         ProjectPhaseExpenseLst_Descr,
		ProjectPhaseExpenseLst_ExpenseTypeId.Name: ProjectPhaseExpenseLst_ExpenseTypeId,
		ProjectPhaseExpenseLst_ActualExpense.Name: ProjectPhaseExpenseLst_ActualExpense,
		ProjectPhaseExpenseLst_Status.Name:        ProjectPhaseExpenseLst_Status,
		ProjectPhaseExpenseLst_CostCenterId.Name:  ProjectPhaseExpenseLst_CostCenterId,
		ProjectPhaseExpenseLst_ExpenseDate.Name:   ProjectPhaseExpenseLst_ExpenseDate,
		ProjectPhaseExpenseLst_Remark.Name:        ProjectPhaseExpenseLst_Remark,
		ProjectPhaseExpenseLst_CtrlPara1.Name:     ProjectPhaseExpenseLst_CtrlPara1,
		ProjectPhaseExpenseLst_CtrlPara2.Name:     ProjectPhaseExpenseLst_CtrlPara2,
		ProjectPhaseExpenseLst_CtrlStr1.Name:      ProjectPhaseExpenseLst_CtrlStr1,
		ProjectPhaseExpenseLst_CtrlStr2.Name:      ProjectPhaseExpenseLst_CtrlStr2,
		ProjectPhaseExpenseLst_CtrlTime1.Name:     ProjectPhaseExpenseLst_CtrlTime1,
		ProjectPhaseExpenseLst_CtrlTime2.Name:     ProjectPhaseExpenseLst_CtrlTime2,
		ProjectPhaseExpenseLst_LastModify.Name:    ProjectPhaseExpenseLst_LastModify,
		ProjectPhaseExpenseLst_LastUser.Name:      ProjectPhaseExpenseLst_LastUser,
		ProjectPhaseExpenseLst_CreateTime.Name:    ProjectPhaseExpenseLst_CreateTime,
	},
	[]string{},
	[]string{"ResourceId", "Descr", "ExpenseTypeId", "ActualExpense", "Status", "CostCenterId", "ExpenseDate", "Remark", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
