// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var ProjectPhaseLst_ProjectId = grmi.NewField("ProjectId", "[PJ_ProjectPhaseLst].ProjectId", "projectid", grmi.TypeString)
var ProjectPhaseLst_PhaseId = grmi.NewField("PhaseId", "[PJ_ProjectPhaseLst].PhaseId", "phaseid", grmi.TypeString)
var ProjectPhaseLst_Descr = grmi.NewField("Descr", "[PJ_ProjectPhaseLst].Descr", "descr", grmi.TypeString)
var ProjectPhaseLst_Pos = grmi.NewField("Pos", "[PJ_ProjectPhaseLst].Pos", "pos", grmi.TypeInt)
var ProjectPhaseLst_Status = grmi.NewField("Status", "[PJ_ProjectPhaseLst].Status", "status", grmi.TypeInt)
var ProjectPhaseLst_PlanStartDate = grmi.NewField("PlanStartDate", "[PJ_ProjectPhaseLst].PlanStartDate", "planstartdate", grmi.TypeDate)
var ProjectPhaseLst_PlanEndDate = grmi.NewField("PlanEndDate", "[PJ_ProjectPhaseLst].PlanEndDate", "planenddate", grmi.TypeDate)
var ProjectPhaseLst_ActualStartDate = grmi.NewField("ActualStartDate", "[PJ_ProjectPhaseLst].ActualStartDate", "actualstartdate", grmi.TypeDate)
var ProjectPhaseLst_ActualEndDate = grmi.NewField("ActualEndDate", "[PJ_ProjectPhaseLst].ActualEndDate", "actualenddate", grmi.TypeDate)
var ProjectPhaseLst_PlanManday = grmi.NewField("PlanManday", "[PJ_ProjectPhaseLst].PlanManday", "planmanday", grmi.TypeFloat64)
var ProjectPhaseLst_ActualManday = grmi.NewField("ActualManday", "[PJ_ProjectPhaseLst].ActualManday", "actualmanday", grmi.TypeFloat64)
var ProjectPhaseLst_CtrlPara1 = grmi.NewField("CtrlPara1", "[PJ_ProjectPhaseLst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ProjectPhaseLst_CtrlPara2 = grmi.NewField("CtrlPara2", "[PJ_ProjectPhaseLst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ProjectPhaseLst_CtrlStr1 = grmi.NewField("CtrlStr1", "[PJ_ProjectPhaseLst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ProjectPhaseLst_CtrlStr2 = grmi.NewField("CtrlStr2", "[PJ_ProjectPhaseLst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ProjectPhaseLst_CtrlTime1 = grmi.NewField("CtrlTime1", "[PJ_ProjectPhaseLst].CtrlTime1", "ctrltime1", grmi.TypeDate)
var ProjectPhaseLst_CtrlTime2 = grmi.NewField("CtrlTime2", "[PJ_ProjectPhaseLst].CtrlTime2", "ctrltime2", grmi.TypeDate)
var ProjectPhaseLst_LastModify = grmi.NewField("LastModify", "[PJ_ProjectPhaseLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ProjectPhaseLst_LastUser = grmi.NewField("LastUser", "[PJ_ProjectPhaseLst].LastUser", "lastuser", grmi.TypeString)
var ProjectPhaseLst_CreateTime = grmi.NewField("CreateTime", "[PJ_ProjectPhaseLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProjectPhaseLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var ProjectPhaseLst = grmi.NewEntity(
	"PJ_ProjectPhaseLst",
	func() interface{} { return &model.ProjectPhaseLst{} },
	map[string]grmi.Field{
		ProjectPhaseLst_ProjectId.Name:       ProjectPhaseLst_ProjectId,
		ProjectPhaseLst_PhaseId.Name:         ProjectPhaseLst_PhaseId,
		ProjectPhaseLst_Descr.Name:           ProjectPhaseLst_Descr,
		ProjectPhaseLst_Pos.Name:             ProjectPhaseLst_Pos,
		ProjectPhaseLst_Status.Name:          ProjectPhaseLst_Status,
		ProjectPhaseLst_PlanStartDate.Name:   ProjectPhaseLst_PlanStartDate,
		ProjectPhaseLst_PlanEndDate.Name:     ProjectPhaseLst_PlanEndDate,
		ProjectPhaseLst_ActualStartDate.Name: ProjectPhaseLst_ActualStartDate,
		ProjectPhaseLst_ActualEndDate.Name:   ProjectPhaseLst_ActualEndDate,
		ProjectPhaseLst_PlanManday.Name:      ProjectPhaseLst_PlanManday,
		ProjectPhaseLst_ActualManday.Name:    ProjectPhaseLst_ActualManday,
		ProjectPhaseLst_CtrlPara1.Name:       ProjectPhaseLst_CtrlPara1,
		ProjectPhaseLst_CtrlPara2.Name:       ProjectPhaseLst_CtrlPara2,
		ProjectPhaseLst_CtrlStr1.Name:        ProjectPhaseLst_CtrlStr1,
		ProjectPhaseLst_CtrlStr2.Name:        ProjectPhaseLst_CtrlStr2,
		ProjectPhaseLst_CtrlTime1.Name:       ProjectPhaseLst_CtrlTime1,
		ProjectPhaseLst_CtrlTime2.Name:       ProjectPhaseLst_CtrlTime2,
		ProjectPhaseLst_LastModify.Name:      ProjectPhaseLst_LastModify,
		ProjectPhaseLst_LastUser.Name:        ProjectPhaseLst_LastUser,
		ProjectPhaseLst_CreateTime.Name:      ProjectPhaseLst_CreateTime,
	},
	[]string{},
	[]string{"Descr", "Pos", "Status", "PlanStartDate", "PlanEndDate", "ActualStartDate", "ActualEndDate", "PlanManday", "ActualManday", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
