// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : Resource的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
var Resource_ResourceId = grmi.NewField("ResourceId", "[PJ_Resource].ResourceId", "resourceid", grmi.TypeString)
var Resource_Descr = grmi.NewField("Descr", "[PJ_Resource].Descr", "descr", grmi.TypeString)
var Resource_ResourceType = grmi.NewField("ResourceType", "[PJ_Resource].ResourceType", "resourcetype", grmi.TypeString)
var Resource_SkillLevel = grmi.NewField("SkillLevel", "[PJ_Resource].SkillLevel", "skilllevel", grmi.TypeString)
var Resource_MandayRate = grmi.NewField("MandayRate", "[PJ_Resource].MandayRate", "mandayrate", grmi.TypeFloat64)
var Resource_Status = grmi.NewField("Status", "[PJ_Resource].Status", "status", grmi.TypeInt)
var Resource_CtrlPara1 = grmi.NewField("CtrlPara1", "[PJ_Resource].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Resource_CtrlPara2 = grmi.NewField("CtrlPara2", "[PJ_Resource].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Resource_CtrlStr1 = grmi.NewField("CtrlStr1", "[PJ_Resource].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Resource_CtrlStr2 = grmi.NewField("CtrlStr2", "[PJ_Resource].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Resource_CtrlTime1 = grmi.NewField("CtrlTime1", "[PJ_Resource].CtrlTime1", "ctrltime1", grmi.TypeDate)
var Resource_CtrlTime2 = grmi.NewField("CtrlTime2", "[PJ_Resource].CtrlTime2", "ctrltime2", grmi.TypeDate)
var Resource_LastModify = grmi.NewField("LastModify", "[PJ_Resource].LastModify", "lastmodify", grmi.TypeDateTime)
var Resource_LastUser = grmi.NewField("LastUser", "[PJ_Resource].LastUser", "lastuser", grmi.TypeString)
var Resource_CreateTime = grmi.NewField("CreateTime", "[PJ_Resource].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Resource的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
var Resource = grmi.NewEntity(
	"PJ_Resource",
	func() interface{} { return &model.Resource{} },
	map[string]grmi.Field{
		Resource_ResourceId.Name:   Resource_ResourceId,
		Resource_Descr.Name:        Resource_Descr,
		Resource_ResourceType.Name: Resource_ResourceType,
		Resource_SkillLevel.Name:   Resource_SkillLevel,
		Resource_MandayRate.Name:   Resource_MandayRate,
		Resource_Status.Name:       Resource_Status,
		Resource_CtrlPara1.Name:    Resource_CtrlPara1,
		Resource_CtrlPara2.Name:    Resource_CtrlPara2,
		Resource_CtrlStr1.Name:     Resource_CtrlStr1,
		Resource_CtrlStr2.Name:     Resource_CtrlStr2,
		Resource_CtrlTime1.Name:    Resource_CtrlTime1,
		Resource_CtrlTime2.Name:    Resource_CtrlTime2,
		Resource_LastModify.Name:   Resource_LastModify,
		Resource_LastUser.Name:     Resource_LastUser,
		Resource_CreateTime.Name:   Resource_CreateTime,
	},
	[]string{},
	[]string{"Descr", "ResourceType", "SkillLevel", "MandayRate", "Status", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
