// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ExpenseType
 *-----------------------------------------------------------------------------
 *
 * @Description              : ExpenseType的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:38:13
 *
 ******************************************************************************/
type ExpenseType struct {
	ExpenseTypeId       string        `xorm:"pk nvarchar(40) 'ExpenseTypeId'" json:"PJ_ExpenseType-ExpenseTypeId"`
	ParentExpenseTypeId string        `xorm:"nvarchar(40) 'ParentExpenseTypeId' not null" json:"PJ_ExpenseType-ParentExpenseTypeId"`
	Descr               string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_ExpenseType-Descr"`
	Remark              string        `xorm:"nvarchar(255) 'Remark' not null" json:"PJ_ExpenseType-Remark"`
	CtrlPara1           int           `xorm:"int 'CtrlPara1' not null" json:"PJ_ExpenseType-CtrlPara1"`
	CtrlPara2           int           `xorm:"int 'CtrlPara2' not null" json:"PJ_ExpenseType-CtrlPara2"`
	CtrlStr1            string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_ExpenseType-CtrlStr1"`
	CtrlStr2            string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_ExpenseType-CtrlStr2"`
	CtrlTime1           grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_ExpenseType-CtrlTime1"`
	CtrlTime2           grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_ExpenseType-CtrlTime2"`
	LastModify          grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ExpenseType-LastModify"`
	LastUser            string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ExpenseType-LastUser"`
	CreateTime          grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ExpenseType-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:38:13
 *
 ******************************************************************************/
func (self *ExpenseType) GetKey() core.PK {
	return core.PK{self.ExpenseTypeId}
}
