// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Phase
 *-----------------------------------------------------------------------------
 *
 * @Description              : Phase的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type Phase struct {
	PhaseId    string        `xorm:"pk nvarchar(40) 'PhaseId'" json:"PJ_Phase-PhaseId"`
	Descr      string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_Phase-Descr"`
	PhaseType  string        `xorm:"nvarchar(40) 'PhaseType' not null" json:"PJ_Phase-PhaseType"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"PJ_Phase-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"PJ_Phase-CtrlPara2"`
	CtrlStr1   string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_Phase-CtrlStr1"`
	CtrlStr2   string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_Phase-CtrlStr2"`
	CtrlTime1  grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_Phase-CtrlTime1"`
	CtrlTime2  grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_Phase-CtrlTime2"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_Phase-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_Phase-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_Phase-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *Phase) GetKey() core.PK {
	return core.PK{self.PhaseId}
}
