// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Project
 *-----------------------------------------------------------------------------
 *
 * @Description              : Project的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type Project struct {
	ProjectId       string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_Project-ProjectId"`
	Descr           string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_Project-Descr"`
	ProjectType     string        `xorm:"nvarchar(40) 'ProjectType' not null" json:"PJ_Project-ProjectType"`
	ContractType    string        `xorm:"nvarchar(40) 'ContractType' not null" json:"PJ_Project-ContractType"`
	ProjectManager  string        `xorm:"nvarchar(40) 'ProjectManager' not null" json:"PJ_Project-ProjectManager"`
	PlanStartDate   grmi.Date     `xorm:"date 'PlanStartDate'" json:"PJ_Project-PlanStartDate"`
	PlanEndDate     grmi.Date     `xorm:"date 'PlanEndDate'" json:"PJ_Project-PlanEndDate"`
	ActualStartDate grmi.Date     `xorm:"date 'ActualStartDate'" json:"PJ_Project-ActualStartDate"`
	ActualEndDate   grmi.Date     `xorm:"date 'ActualEndDate'" json:"PJ_Project-ActualEndDate"`
	Budget          float64       `xorm:"float 'Budget' not null" json:"PJ_Project-Budget"`
	ActualCost      float64       `xorm:"float 'ActualCost' not null" json:"PJ_Project-ActualCost"`
	AmountPaid      float64       `xorm:"float 'AmountPaid' not null" json:"PJ_Project-AmountPaid"`
	Status          int           `xorm:"int 'Status' not null" json:"PJ_Project-Status"`
	PaymentStatus   int           `xorm:"int 'PaymentStatus' not null" json:"PJ_Project-PaymentStatus"`
	CustomerId      string        `xorm:"nvarchar(40) 'CustomerId' not null" json:"PJ_Project-CustomerId"`
	CustomerName    string        `xorm:"nvarchar(255) 'CustomerName' not null" json:"PJ_Project-CustomerName"`
	Remark          string        `xorm:"nvarchar(255) 'Remark' not null" json:"PJ_Project-Remark"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PJ_Project-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PJ_Project-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_Project-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_Project-CtrlStr2"`
	CtrlTime1       grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_Project-CtrlTime1"`
	CtrlTime2       grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_Project-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_Project-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_Project-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_Project-CreateTime"`
	PaymentPhases   []ProjectPaymentPhaseLst     `json:"PJ_Project-PaymentPhases" xorm:"-"`
	Phases          []ProjectPhaseLst `json:"PJ_Project-Phases" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *Project) GetKey() core.PK {
	return core.PK{self.ProjectId}
}
