// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectDocumentLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectDocumentLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectDocumentLst struct {
	ProjectId    string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectDocumentLst-ProjectId"`
	Pos          int           `xorm:"pk int 'Pos'" json:"PJ_ProjectDocumentLst-Pos"`
	Document     string        `xorm:"nvarchar(255) 'Document' not null" json:"PJ_ProjectDocumentLst-Document"`
	DocumentType string        `xorm:"nvarchar(40) 'DocumentType' not null" json:"PJ_ProjectDocumentLst-DocumentType"`
	UploadTime   grmi.DateTime `xorm:"datetime 'UploadTime' not null" json:"PJ_ProjectDocumentLst-UploadTime"`
	Remark       string        `xorm:"nvarchar(255) 'Remark' not null" json:"PJ_ProjectDocumentLst-Remark"`
	CreateUser   string        `xorm:"nvarchar(20) 'CreateUser' not null" json:"PJ_ProjectDocumentLst-CreateUser"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectDocumentLst-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectDocumentLst-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectDocumentLst-CreateTime"`
	Url  		 string        `xorm:"-" json:"PJ_ProjectDocumentLst-Url"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func (self *ProjectDocumentLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.Pos}
}
