// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPaymentPhaseLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPaymentPhaseLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPaymentPhaseLst struct {
	ProjectId         string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectPaymentPhaseLst-ProjectId"`
	PaymentPhaseId    string        `xorm:"pk nvarchar(40) 'PaymentPhaseId'" json:"PJ_ProjectPaymentPhaseLst-PaymentPhaseId"`
	Descr             string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_ProjectPaymentPhaseLst-Descr"`
	PhaseType         string        `xorm:"nvarchar(40) 'PhaseType' not null" json:"PJ_ProjectPaymentPhaseLst-PhaseType"`
	PayableAmount     float64       `xorm:"float 'PayableAmount' not null" json:"PJ_ProjectPaymentPhaseLst-PayableAmount"`
	Piaojuhao         string        `xorm:"nvarchar(100) 'Piaojuhao' not null" json:"PJ_ProjectPaymentPhaseLst-Piaojuhao"`
	Kaipiaojine       float64        `xorm:"float(53) 'Kaipiaojine' not null" json:"PJ_ProjectPaymentPhaseLst-Kaipiaojine"`
	Kaipiaoriqi		  grmi.Date     `xorm:"date 'Kaipiaoriqi'" json:"PJ_ProjectPaymentPhaseLst-Kaipiaoriqi"`
	AmountPaid        float64       `xorm:"float 'AmountPaid' not null" json:"PJ_ProjectPaymentPhaseLst-AmountPaid"`
	PlanPaymentDate   grmi.Date     `xorm:"date 'PlanPaymentDate'" json:"PJ_ProjectPaymentPhaseLst-PlanPaymentDate"`
	ActualPaymentDate grmi.Date     `xorm:"date 'ActualPaymentDate'" json:"PJ_ProjectPaymentPhaseLst-ActualPaymentDate"`
	Status            int           `xorm:"int 'Status' not null" json:"PJ_ProjectPaymentPhaseLst-Status"`

	//不显示
	CtrlPara1         int           `xorm:"int 'CtrlPara1' not null" json:"PJ_ProjectPaymentPhaseLst-CtrlPara1"`
	CtrlPara2         int           `xorm:"int 'CtrlPara2' not null" json:"PJ_ProjectPaymentPhaseLst-CtrlPara2"`
	CtrlStr1          string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_ProjectPaymentPhaseLst-CtrlStr1"`
	CtrlStr2          string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_ProjectPaymentPhaseLst-CtrlStr2"`
	CtrlTime1         grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_ProjectPaymentPhaseLst-CtrlTime1"`
	CtrlTime2         grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_ProjectPaymentPhaseLst-CtrlTime2"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectPaymentPhaseLst-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectPaymentPhaseLst-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectPaymentPhaseLst-CreateTime"`

}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *ProjectPaymentPhaseLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.PaymentPhaseId}
}
