// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseExpenseLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseExpenseLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
type ProjectPhaseExpenseLst struct {
	ProjectId     string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectPhaseExpenseLst-ProjectId"`
	PhaseId       string        `xorm:"pk nvarchar(40) 'PhaseId'" json:"PJ_ProjectPhaseExpenseLst-PhaseId"`
	Pos           int           `xorm:"pk int 'Pos'" json:"PJ_ProjectPhaseExpenseLst-Pos"`
	ResourceId    string        `xorm:"nvarchar(40) 'ResourceId' not null" json:"PJ_ProjectPhaseExpenseLst-ResourceId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"PJ_ProjectPhaseExpenseLst-Descr"`
	ExpenseTypeId string        `xorm:"nvarchar(40) 'ExpenseTypeId' not null" json:"PJ_ProjectPhaseExpenseLst-ExpenseTypeId"`
	ActualExpense float64       `xorm:"float 'ActualExpense' not null" json:"PJ_ProjectPhaseExpenseLst-ActualExpense"`
	Status        int           `xorm:"int 'Status' not null" json:"PJ_ProjectPhaseExpenseLst-Status"`
	CostCenterId  string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"PJ_ProjectPhaseExpenseLst-CostCenterId"`
	ExpenseDate   grmi.Date     `xorm:"date 'ExpenseDate'" json:"PJ_ProjectPhaseExpenseLst-ExpenseDate"`
	Remark        string        `xorm:"nvarchar(255) 'Remark' not null" json:"PJ_ProjectPhaseExpenseLst-Remark"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"PJ_ProjectPhaseExpenseLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"PJ_ProjectPhaseExpenseLst-CtrlPara2"`
	CtrlStr1      string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_ProjectPhaseExpenseLst-CtrlStr1"`
	CtrlStr2      string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_ProjectPhaseExpenseLst-CtrlStr2"`
	CtrlTime1     grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_ProjectPhaseExpenseLst-CtrlTime1"`
	CtrlTime2     grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_ProjectPhaseExpenseLst-CtrlTime2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectPhaseExpenseLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectPhaseExpenseLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectPhaseExpenseLst-CreateTime"`

	ProjectPhaseExpensePeopleLst []ProjectPhaseExpensePeopleLst `json:"PJ_ProjectPhaseExpenseLst-ProjectPhaseExpensePeopleLst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *ProjectPhaseExpenseLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.PhaseId, self.Pos}
}
