// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPhaseLst struct {
	ProjectId       string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectPhaseLst-ProjectId"`
	PhaseId         string        `xorm:"pk nvarchar(40) 'PhaseId'" json:"PJ_ProjectPhaseLst-PhaseId"`
	Descr           string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_ProjectPhaseLst-Descr"`
	Pos             int           `xorm:"int 'Pos' not null" json:"PJ_ProjectPhaseLst-Pos"`
	Status          int           `xorm:"int 'Status' not null" json:"PJ_ProjectPhaseLst-Status"`
	PlanStartDate   grmi.Date     `xorm:"date 'PlanStartDate'" json:"PJ_ProjectPhaseLst-PlanStartDate"`
	PlanEndDate     grmi.Date     `xorm:"date 'PlanEndDate'" json:"PJ_ProjectPhaseLst-PlanEndDate"`
	ActualStartDate grmi.Date     `xorm:"date 'ActualStartDate'" json:"PJ_ProjectPhaseLst-ActualStartDate"`
	ActualEndDate   grmi.Date     `xorm:"date 'ActualEndDate'" json:"PJ_ProjectPhaseLst-ActualEndDate"`
	PlanManday      float64       `xorm:"float 'PlanManday' not null" json:"PJ_ProjectPhaseLst-PlanManday"`
	ActualManday    float64       `xorm:"float 'ActualManday' not null" json:"PJ_ProjectPhaseLst-ActualManday"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PJ_ProjectPhaseLst-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PJ_ProjectPhaseLst-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_ProjectPhaseLst-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_ProjectPhaseLst-CtrlStr2"`
	CtrlTime1       grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_ProjectPhaseLst-CtrlTime1"`
	CtrlTime2       grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_ProjectPhaseLst-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectPhaseLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectPhaseLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectPhaseLst-CreateTime"`
	Resources       []ProjectPhaseResourceLst `json:"PJ_ProjectPhaseLst-Resources" xorm:"-"`
	Expenses        []ProjectPhaseExpenseLst  `json:"PJ_ProjectPhaseLst-Expenses" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *ProjectPhaseLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.PhaseId}
}
