// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseResourceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPhaseResourceLst struct {
	ProjectId       string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectPhaseResourceLst-ProjectId"`
	PhaseId         string        `xorm:"pk nvarchar(40) 'PhaseId'" json:"PJ_ProjectPhaseResourceLst-PhaseId"`
	ResourceId      string        `xorm:"pk nvarchar(40) 'ResourceId'" json:"PJ_ProjectPhaseResourceLst-ResourceId"`
	PlanStartDate   grmi.Date     `xorm:"pk date 'PlanStartDate'" json:"PJ_ProjectPhaseResourceLst-PlanStartDate"`
	Pos             int           `xorm:"int 'Pos' not null" json:"PJ_ProjectPhaseResourceLst-Pos"`
	ResourceName    string        `xorm:"nvarchar(40) 'ResourceName' not null" json:"PJ_ProjectPhaseResourceLst-ResourceName"`
	PlanEndDate     grmi.Date     `xorm:"date 'PlanEndDate'" json:"PJ_ProjectPhaseResourceLst-PlanEndDate"`
	ActualStartDate grmi.Date     `xorm:"date 'ActualStartDate'" json:"PJ_ProjectPhaseResourceLst-ActualStartDate"`
	ActualEndDate   grmi.Date     `xorm:"date 'ActualEndDate'" json:"PJ_ProjectPhaseResourceLst-ActualEndDate"`
	PlanMandays     float64       `xorm:"float 'PlanMandays' not null" json:"PJ_ProjectPhaseResourceLst-PlanMandays"`
	ActualMandays   float64       `xorm:"float 'ActualMandays' not null" json:"PJ_ProjectPhaseResourceLst-ActualMandays"`
	PlanCost        float64       `xorm:"float 'PlanCost' not null" json:"PJ_ProjectPhaseResourceLst-PlanCost"`
	ActualCost      float64       `xorm:"float 'ActualCost' not null" json:"PJ_ProjectPhaseResourceLst-ActualCost"`
	MandayRate      float64       `xorm:"float 'MandayRate' not null" json:"PJ_ProjectPhaseResourceLst-MandayRate"`
	Remark          string        `xorm:"nvarchar(255) 'Remark' not null" json:"PJ_ProjectPhaseResourceLst-Remark"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PJ_ProjectPhaseResourceLst-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PJ_ProjectPhaseResourceLst-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_ProjectPhaseResourceLst-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_ProjectPhaseResourceLst-CtrlStr2"`
	CtrlTime1       grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_ProjectPhaseResourceLst-CtrlTime1"`
	CtrlTime2       grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_ProjectPhaseResourceLst-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectPhaseResourceLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectPhaseResourceLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectPhaseResourceLst-CreateTime"`

	ProjectPhaseResourcePeopleLst       []ProjectPhaseResourcePeopleLst `json:"PJ_ProjectPhaseResourceLst-ProjectPhaseResourcePeopleLst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *ProjectPhaseResourceLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.PhaseId, self.ResourceId, self.PlanStartDate.ToString()}
}
