// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseResourcePeopleLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourcePeopleLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseResourcePeopleLst struct {
	ProjectId     string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"PJ_ProjectPhaseResourcePeopleLst-ProjectId"`
	PhaseId       string        `xorm:"pk nvarchar(40) 'PhaseId'" json:"PJ_ProjectPhaseResourcePeopleLst-PhaseId"`
	ResourceId    string        `xorm:"pk nvarchar(40) 'ResourceId'" json:"PJ_ProjectPhaseResourcePeopleLst-ResourceId"`
	Name          string        `xorm:"pk nvarchar(40) 'Name'" json:"PJ_ProjectPhaseResourcePeopleLst-Name"`
	PlanStartDate grmi.Date     `xorm:"pk date 'PlanStartDate'" json:"PJ_ProjectPhaseResourcePeopleLst-PlanStartDate"`
	Pos           int           `xorm:"int 'Pos' not null" json:"PJ_ProjectPhaseResourcePeopleLst-Pos"`
	ActualMandays float64       `xorm:"float 'ActualMandays' not null" json:"PJ_ProjectPhaseResourcePeopleLst-ActualMandays"`
	ActualHours   float64       `xorm:"float 'ActualHours' not null" json:"PJ_ProjectPhaseResourcePeopleLst-ActualHours"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_ProjectPhaseResourcePeopleLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_ProjectPhaseResourcePeopleLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_ProjectPhaseResourcePeopleLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func (self *ProjectPhaseResourcePeopleLst) GetKey() core.PK {
	return core.PK{self.ProjectId, self.PhaseId, self.ResourceId, self.Name, self.PlanStartDate.ToString()}
}
