// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Resource
 *-----------------------------------------------------------------------------
 *
 * @Description              : Resource的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
type Resource struct {
	ResourceId   string        `xorm:"pk nvarchar(40) 'ResourceId'" json:"PJ_Resource-ResourceId"`
	Descr        string        `xorm:"nvarchar(255) 'Descr' not null" json:"PJ_Resource-Descr"`
	ResourceType string        `xorm:"nvarchar(40) 'ResourceType' not null" json:"PJ_Resource-ResourceType"`
	SkillLevel   string        `xorm:"nvarchar(40) 'SkillLevel' not null" json:"PJ_Resource-SkillLevel"`
	MandayRate   float64       `xorm:"float 'MandayRate' not null" json:"PJ_Resource-MandayRate"`
	Status       int           `xorm:"int 'Status' not null" json:"PJ_Resource-Status"`
	CtrlPara1    int           `xorm:"int 'CtrlPara1' not null" json:"PJ_Resource-CtrlPara1"`
	CtrlPara2    int           `xorm:"int 'CtrlPara2' not null" json:"PJ_Resource-CtrlPara2"`
	CtrlStr1     string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PJ_Resource-CtrlStr1"`
	CtrlStr2     string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PJ_Resource-CtrlStr2"`
	CtrlTime1    grmi.Date     `xorm:"date 'CtrlTime1'" json:"PJ_Resource-CtrlTime1"`
	CtrlTime2    grmi.Date     `xorm:"date 'CtrlTime2'" json:"PJ_Resource-CtrlTime2"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PJ_Resource-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PJ_Resource-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PJ_Resource-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func (self *Resource) GetKey() core.PK {
	return core.PK{self.ResourceId}
}
