// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
	"LEIT_PM/services/pj/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProjectPhaseExpensePeopleLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseExpensePeopleLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseExpensePeopleLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseExpensePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProjectPhaseExpensePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string, int, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProjectPhaseExpensePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string, int, string) (*model.ProjectPhaseExpensePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseExpensePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProjectPhaseExpensePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseExpensePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProjectPhaseExpensePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProjectPhaseExpensePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProjectPhaseExpensePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProjectPhaseExpensePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProjectPhaseExpensePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseExpensePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProjectPhaseExpensePeopleLst) error
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseExpensePeopleLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseExpensePeopleLstService
 *
 * @Return Value             : ProjectPhaseExpensePeopleLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewProjectPhaseExpensePeopleLstService() ProjectPhaseExpensePeopleLstService {
	return implments.NewProjectPhaseExpensePeopleLstServiceImplement()
}
