// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	model "LEIT_PM/models/pj"
	"LEIT_PM/services/pj/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProjectPhaseResourcePeopleLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourcePeopleLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseResourcePeopleLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string, string, string, grmi.Date) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string, string, string, grmi.Date) (*model.ProjectPhaseResourcePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseResourcePeopleLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProjectPhaseResourcePeopleLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProjectPhaseResourcePeopleLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProjectPhaseResourcePeopleLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProjectPhaseResourcePeopleLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-09 11:17:04
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProjectPhaseResourcePeopleLst) error
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseResourcePeopleLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseResourcePeopleLstService
 *
 * @Return Value             : ProjectPhaseResourcePeopleLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewProjectPhaseResourcePeopleLstService() ProjectPhaseResourcePeopleLstService {
	return implments.NewProjectPhaseResourcePeopleLstServiceImplement()
}
