// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPaymentPhaseLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPaymentPhaseLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPaymentPhaseLst_ProjectId.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_ProjectId, grmi.Equal, true),
		meta.ProjectPaymentPhaseLst_PaymentPhaseId.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_PaymentPhaseId, grmi.Equal, true),
		meta.ProjectPaymentPhaseLst_Descr.UrlParameterName:             grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_Descr, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_PhaseType.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_PhaseType, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_PayableAmount.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_PayableAmount, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_AmountPaid.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_AmountPaid, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_PlanPaymentDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_PlanPaymentDate, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_ActualPaymentDate.UrlParameterName: grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_ActualPaymentDate, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_Status.UrlParameterName:            grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_Status, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CtrlPara1.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlPara1, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CtrlPara2.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlPara2, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CtrlStr1.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlStr1, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CtrlStr2.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlStr2, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CtrlTime1.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlTime1, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_CtrlTime2.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CtrlTime2, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_LastModify.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_LastModify, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_LastUser.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_LastUser, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_CreateTime.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_CreateTime, grmi.Approximate, false),
		meta.ProjectPaymentPhaseLst_Piaojuhao.UrlParameterName:			grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_Piaojuhao, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_Kaipiaojine.UrlParameterName:		grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_Kaipiaojine, grmi.Equal, false),
		meta.ProjectPaymentPhaseLst_Kaipiaoriqi.UrlParameterName:		grmi.NewConditionItem(meta.ProjectPaymentPhaseLst_Kaipiaoriqi, grmi.Equal, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPaymentPhaseLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPaymentPhaseLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPaymentPhaseLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPaymentPhaseLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPaymentPhaseLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPaymentPhaseLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPaymentPhaseLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPaymentPhaseLstDAOImplement实例
 *
 * @Return Value             : ProjectPaymentPhaseLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func NewProjectPaymentPhaseLstServiceImplement() *ProjectPaymentPhaseLstServiceImplement {
	return &ProjectPaymentPhaseLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPaymentPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "InsertOneProjectPaymentPhaseLst", "插入一个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PaymentPhaseId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) DeleteOne(user *global.User, projectId string, paymentPhaseId string) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "DeleteOneProjectPaymentPhaseLst", "删除一个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, paymentPhaseId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, paymentPhaseId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) SelectOne(user *global.User, projectId string, paymentPhaseId string) (*model.ProjectPaymentPhaseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "SelectOneProjectPaymentPhaseLst", "查询一个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, paymentPhaseId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPaymentPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "UpdateOneProjectPaymentPhaseLst", "修改一个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PaymentPhaseId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPaymentPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "InsertProjectPaymentPhaseLst", "插入多个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PaymentPhaseId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPaymentPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "DeleteProjectPaymentPhaseLst", "删除多个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PaymentPhaseId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPaymentPhaseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "SelectProjectPaymentPhaseLst", "查询ProjectPaymentPhaseLst")

	condition := DefaultConditionOfProjectPaymentPhaseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "SelectProjectPaymentPhaseLst", "查询ProjectPaymentPhaseLst")

	condition := DefaultConditionOfProjectPaymentPhaseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPaymentPhaseLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPaymentPhaseLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPaymentPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPaymentPhaseLst.service.impl.go", "UpdateProjectPaymentPhaseLst", "修改多个ProjectPaymentPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PaymentPhaseId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
