// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpenseLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:42:59
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseExpenseLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPhaseExpenseLst_ProjectId.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_ProjectId, grmi.Equal, true),
		meta.ProjectPhaseExpenseLst_PhaseId.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_PhaseId, grmi.Equal, true),
		meta.ProjectPhaseExpenseLst_Pos.UrlParameterName:           grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_Pos, grmi.Equal, true),
		meta.ProjectPhaseExpenseLst_ResourceId.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_ResourceId, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_Descr.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_Descr, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_ExpenseTypeId.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_ExpenseTypeId, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_ActualExpense.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_ActualExpense, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_Status.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_Status, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CostCenterId.UrlParameterName:  grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CostCenterId, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_ExpenseDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_ExpenseDate, grmi.Approximate, false),
		meta.ProjectPhaseExpenseLst_Remark.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_Remark, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CtrlPara1.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlPara1, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CtrlPara2.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlPara2, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CtrlStr1.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlStr1, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CtrlStr2.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlStr2, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CtrlTime1.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlTime1, grmi.Approximate, false),
		meta.ProjectPhaseExpenseLst_CtrlTime2.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CtrlTime2, grmi.Approximate, false),
		meta.ProjectPhaseExpenseLst_LastModify.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_LastModify, grmi.Approximate, false),
		meta.ProjectPhaseExpenseLst_LastUser.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_LastUser, grmi.Equal, false),
		meta.ProjectPhaseExpenseLst_CreateTime.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseExpenseLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpenseLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseExpenseLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPhaseExpenseLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseExpenseLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseExpenseLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPhaseExpenseLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseExpenseLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseExpenseLstDAOImplement实例
 *
 * @Return Value             : ProjectPhaseExpenseLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func NewProjectPhaseExpenseLstServiceImplement() *ProjectPhaseExpenseLstServiceImplement {
	return &ProjectPhaseExpenseLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPhaseExpenseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "InsertOneProjectPhaseExpenseLst", "插入一个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) DeleteOne(user *global.User, projectId string, phaseId string, pos int) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "DeleteOneProjectPhaseExpenseLst", "删除一个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, phaseId, pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, phaseId, pos)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) SelectOne(user *global.User, projectId string, phaseId string, pos int) (*model.ProjectPhaseExpenseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "SelectOneProjectPhaseExpenseLst", "查询一个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, phaseId, pos)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPhaseExpenseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "UpdateOneProjectPhaseExpenseLst", "修改一个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPhaseExpenseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "InsertProjectPhaseExpenseLst", "插入多个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPhaseExpenseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "DeleteProjectPhaseExpenseLst", "删除多个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPhaseExpenseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "SelectProjectPhaseExpenseLst", "查询ProjectPhaseExpenseLst")

	condition := DefaultConditionOfProjectPhaseExpenseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	dao_PhaseExpensePeopleLst := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	for index, _ := range result{
		list, _ := dao_PhaseExpensePeopleLst.Select([]grmi.Predicate{meta.ProjectPhaseExpensePeopleLst_ProjectId.NewPredicate(grmi.Equal,  result[index].ProjectId),
			meta.ProjectPhaseExpensePeopleLst_PhaseId.NewPredicate(grmi.Equal,  result[index].PhaseId),
			meta.ProjectPhaseExpensePeopleLst_Pos.NewPredicate(grmi.Equal, result[index].Pos)},nil)
		result[index].ProjectPhaseExpensePeopleLst = list
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "SelectProjectPhaseExpenseLst", "查询ProjectPhaseExpenseLst")

	condition := DefaultConditionOfProjectPhaseExpenseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpenseLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpenseLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPhaseExpenseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpenseLst.service.impl.go", "UpdateProjectPhaseExpenseLst", "修改多个ProjectPhaseExpenseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
