// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpensePeopleLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseExpensePeopleLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPhaseExpensePeopleLst_ProjectId.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_ProjectId, grmi.Equal, true),
		meta.ProjectPhaseExpensePeopleLst_PhaseId.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_PhaseId, grmi.Equal, true),
		meta.ProjectPhaseExpensePeopleLst_Pos.UrlParameterName:             grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Pos, grmi.Equal, true),
		meta.ProjectPhaseExpensePeopleLst_Name.UrlParameterName:            grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Name, grmi.Equal, true),
		meta.ProjectPhaseExpensePeopleLst_Month.UrlParameterName:           grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Month, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Jipiao.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Jipiao, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Huochepiao.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Huochepiao, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Zhushufei.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Zhushufei, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Jiaotongfei.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Jiaotongfei, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Yezhuzhaodaifei.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Yezhuzhaodaifei, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Kuaidifei.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Kuaidifei, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Qitafeiyong.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Qitafeiyong, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_Sum.UrlParameterName:             grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_Sum, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_LastModify.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_LastModify, grmi.Approximate, false),
		meta.ProjectPhaseExpensePeopleLst_LastUser.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_LastUser, grmi.Equal, false),
		meta.ProjectPhaseExpensePeopleLst_CreateTime.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseExpensePeopleLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseExpensePeopleLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseExpensePeopleLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPhaseExpensePeopleLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseExpensePeopleLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseExpensePeopleLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseExpensePeopleLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseExpensePeopleLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseExpensePeopleLstDAOImplement实例
 *
 * @Return Value             : ProjectPhaseExpensePeopleLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewProjectPhaseExpensePeopleLstServiceImplement() *ProjectPhaseExpensePeopleLstServiceImplement {
	return &ProjectPhaseExpensePeopleLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPhaseExpensePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "InsertOneProjectPhaseExpensePeopleLst", "插入一个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos, entity.Name)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) DeleteOne(user *global.User, projectId string, phaseId string, pos int, name string) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "DeleteOneProjectPhaseExpensePeopleLst", "删除一个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, phaseId, pos, name)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, phaseId, pos, name)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) SelectOne(user *global.User, projectId string, phaseId string, pos int, name string) (*model.ProjectPhaseExpensePeopleLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "SelectOneProjectPhaseExpensePeopleLst", "查询一个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, phaseId, pos, name)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPhaseExpensePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "UpdateOneProjectPhaseExpensePeopleLst", "修改一个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos, entity.Name)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPhaseExpensePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "InsertProjectPhaseExpensePeopleLst", "插入多个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos, entity.Name)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPhaseExpensePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "DeleteProjectPhaseExpensePeopleLst", "删除多个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos, entity.Name)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPhaseExpensePeopleLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "SelectProjectPhaseExpensePeopleLst", "查询ProjectPhaseExpensePeopleLst")

	condition := DefaultConditionOfProjectPhaseExpensePeopleLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "SelectProjectPhaseExpensePeopleLst", "查询ProjectPhaseExpensePeopleLst")

	condition := DefaultConditionOfProjectPhaseExpensePeopleLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseExpensePeopleLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPhaseExpensePeopleLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPhaseExpensePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseExpensePeopleLst.service.impl.go", "UpdateProjectPhaseExpensePeopleLst", "修改多个ProjectPhaseExpensePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseExpensePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.Pos, entity.Name)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
