// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPhaseLst_ProjectId.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseLst_ProjectId, grmi.Equal, true),
		meta.ProjectPhaseLst_PhaseId.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPhaseLst_PhaseId, grmi.Equal, true),
		meta.ProjectPhaseLst_Descr.UrlParameterName:           grmi.NewConditionItem(meta.ProjectPhaseLst_Descr, grmi.Equal, false),
		meta.ProjectPhaseLst_Pos.UrlParameterName:             grmi.NewConditionItem(meta.ProjectPhaseLst_Pos, grmi.Equal, false),
		meta.ProjectPhaseLst_Status.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPhaseLst_Status, grmi.Equal, false),
		meta.ProjectPhaseLst_PlanStartDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseLst_PlanStartDate, grmi.Approximate, false),
		meta.ProjectPhaseLst_PlanEndDate.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseLst_PlanEndDate, grmi.Approximate, false),
		meta.ProjectPhaseLst_ActualStartDate.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseLst_ActualStartDate, grmi.Approximate, false),
		meta.ProjectPhaseLst_ActualEndDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseLst_ActualEndDate, grmi.Approximate, false),
		meta.ProjectPhaseLst_PlanManday.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseLst_PlanManday, grmi.Equal, false),
		meta.ProjectPhaseLst_ActualManday.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseLst_ActualManday, grmi.Equal, false),
		meta.ProjectPhaseLst_CtrlPara1.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlPara1, grmi.Equal, false),
		meta.ProjectPhaseLst_CtrlPara2.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlPara2, grmi.Equal, false),
		meta.ProjectPhaseLst_CtrlStr1.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlStr1, grmi.Equal, false),
		meta.ProjectPhaseLst_CtrlStr2.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlStr2, grmi.Equal, false),
		meta.ProjectPhaseLst_CtrlTime1.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlTime1, grmi.Approximate, false),
		meta.ProjectPhaseLst_CtrlTime2.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseLst_CtrlTime2, grmi.Approximate, false),
		meta.ProjectPhaseLst_LastModify.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseLst_LastModify, grmi.Approximate, false),
		meta.ProjectPhaseLst_LastUser.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseLst_LastUser, grmi.Equal, false),
		meta.ProjectPhaseLst_CreateTime.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPhaseLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPhaseLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseLstDAOImplement实例
 *
 * @Return Value             : ProjectPhaseLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func NewProjectPhaseLstServiceImplement() *ProjectPhaseLstServiceImplement {
	return &ProjectPhaseLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "InsertOneProjectPhaseLst", "插入一个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) DeleteOne(user *global.User, projectId string, phaseId string) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "DeleteOneProjectPhaseLst", "删除一个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, phaseId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, phaseId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) SelectOne(user *global.User, projectId string, phaseId string) (*model.ProjectPhaseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "SelectOneProjectPhaseLst", "查询一个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, phaseId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "UpdateOneProjectPhaseLst", "修改一个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "InsertProjectPhaseLst", "插入多个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "DeleteProjectPhaseLst", "删除多个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPhaseLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "SelectProjectPhaseLst", "查询ProjectPhaseLst")

	condition := DefaultConditionOfProjectPhaseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "SelectProjectPhaseLst", "查询ProjectPhaseLst")

	condition := DefaultConditionOfProjectPhaseLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPhaseLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "UpdateProjectPhaseLst", "修改多个ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.PreadJust
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) PreadJust(user *global.User, projectId string, phaseId string) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "PreadJustProjectPhaseLst", "修改ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()

	project_dao := dal.NewProjectDAO(session, user.UserId)
	result, err := project_dao.SelectOne(projectId)
	if err != nil {
		return  err
	}

	paymentphase_dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	paymentphase_predicate := []grmi.Predicate{meta.ProjectPaymentPhaseLst_ProjectId.NewPredicate(grmi.Equal, result.ProjectId)}
	paymentphase_data, err := paymentphase_dao.Select(paymentphase_predicate,nil)
	if err != nil {
		return  err
	}
	result.PaymentPhases = paymentphase_data

	phaselst_dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	phaselst_predicate := []grmi.Predicate{meta.ProjectPhaseLst_ProjectId.NewPredicate(grmi.Equal, result.ProjectId)}
	phaselst_data, err := phaselst_dao.Select(phaselst_predicate,nil)
	if err != nil {
		return  err
	}

	phaseResouce_dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	phaseExpense_dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	for index, phaseInfo := range phaselst_data{
		phaseResouce_predicate := []grmi.Predicate{meta.ProjectPhaseResourceLst_ProjectId.NewPredicate(grmi.Equal, phaseInfo.ProjectId),meta.ProjectPhaseResourceLst_PhaseId.NewPredicate(grmi.Equal, phaseInfo.PhaseId)}
		phaseResouce_data, err := phaseResouce_dao.Select(phaseResouce_predicate,nil)
		if err != nil {
			return  err
		}
		phaselst_data[index].Resources =  phaseResouce_data

		phaseExpense_predicate := []grmi.Predicate{meta.ProjectPhaseExpenseLst_ProjectId.NewPredicate(grmi.Equal, phaseInfo.ProjectId),meta.ProjectPhaseExpenseLst_PhaseId.NewPredicate(grmi.Equal, phaseInfo.PhaseId)}
		phaseExpense_data, err := phaseExpense_dao.Select(phaseExpense_predicate,nil)
		if err != nil {
			return  err
		}
		phaselst_data[index].Expenses =  phaseExpense_data
	}

	result.Phases = phaselst_data

	var ActualCost,DayCost float64
	for index, _ := range result.Phases{
		for ResourceIndex, _ := range result.Phases[index].Resources{
			result.Phases[index].Resources[ResourceIndex].ActualCost = result.Phases[index].Resources[ResourceIndex].ActualMandays*result.Phases[index].Resources[ResourceIndex].MandayRate
			DayCost += result.Phases[index].Resources[ResourceIndex].ActualCost
			err = phaseResouce_dao.UpdateOne(&result.Phases[index].Resources[ResourceIndex])
			if err != nil {
				return  err
			}
		}
		for ExpensesIndex, _ := range result.Phases[index].Expenses{
			ActualCost += result.Phases[index].Expenses[ExpensesIndex].ActualExpense
		}
	}
	result.ActualCost = ActualCost + DayCost

	err = project_dao.UpdateOne(result)
	if err != nil {
		return  err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseLstService.Close
 *
 ******************************************************************************/
func (impl *ProjectPhaseLstServiceImplement) Close(user *global.User, projectId string, phaseId string) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseLst.service.impl.go", "CloseProjectPhaseLst", "修改ProjectPhaseLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	project_dao := dal.NewProjectDAO(session, user.UserId)
	result, err := project_dao.SelectOne(projectId)
	if err != nil {
		return  err
	}

	paymentphase_dao := dal.NewProjectPaymentPhaseLstDAO(session, user.UserId)
	paymentphase_predicate := []grmi.Predicate{meta.ProjectPaymentPhaseLst_ProjectId.NewPredicate(grmi.Equal, result.ProjectId)}
	paymentphase_data, err := paymentphase_dao.Select(paymentphase_predicate,nil)
	if err != nil {
		return  err
	}
	result.PaymentPhases = paymentphase_data

	phaselst_dao := dal.NewProjectPhaseLstDAO(session, user.UserId)
	phaselst_predicate := []grmi.Predicate{meta.ProjectPhaseLst_ProjectId.NewPredicate(grmi.Equal, result.ProjectId)}
	phaselst_data, err := phaselst_dao.Select(phaselst_predicate,nil)
	if err != nil {
		return  err
	}

	phaseResouce_dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	phaseExpense_dao := dal.NewProjectPhaseExpenseLstDAO(session, user.UserId)
	for index, phaseInfo := range phaselst_data{
		phaseResouce_predicate := []grmi.Predicate{meta.ProjectPhaseResourceLst_ProjectId.NewPredicate(grmi.Equal, phaseInfo.ProjectId),meta.ProjectPhaseResourceLst_PhaseId.NewPredicate(grmi.Equal, phaseInfo.PhaseId)}
		phaseResouce_data, err := phaseResouce_dao.Select(phaseResouce_predicate,nil)
		if err != nil {
			return  err
		}
		phaselst_data[index].Resources =  phaseResouce_data

		phaseExpense_predicate := []grmi.Predicate{meta.ProjectPhaseExpenseLst_ProjectId.NewPredicate(grmi.Equal, phaseInfo.ProjectId),meta.ProjectPhaseExpenseLst_PhaseId.NewPredicate(grmi.Equal, phaseInfo.PhaseId)}
		phaseExpense_data, err := phaseExpense_dao.Select(phaseExpense_predicate,nil)
		if err != nil {
			return  err
		}
		phaselst_data[index].Expenses =  phaseExpense_data
	}

	result.Phases = phaselst_data

	var ActualCost,DayCost float64
	for index, _ := range result.Phases{
		for ResourceIndex, _ := range result.Phases[index].Resources{
			result.Phases[index].Resources[ResourceIndex].ActualCost = result.Phases[index].Resources[ResourceIndex].ActualMandays*result.Phases[index].Resources[ResourceIndex].MandayRate
			DayCost += result.Phases[index].Resources[ResourceIndex].ActualCost
			err = phaseResouce_dao.UpdateOne(&result.Phases[index].Resources[ResourceIndex])
			if err != nil {
				return  err
			}
		}
		for ExpensesIndex, _ := range result.Phases[index].Expenses{
			ActualCost += result.Phases[index].Expenses[ExpensesIndex].ActualExpense
		}
	}
	result.ActualCost = ActualCost + DayCost
	result.Status = 2

	err = project_dao.UpdateOne(result)
	if err != nil {
		return  err
	}
	return nil
}
