// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseResourceLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseResourceLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPhaseResourceLst_ProjectId.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ProjectId, grmi.Equal, true),
		meta.ProjectPhaseResourceLst_PhaseId.UrlParameterName:         grmi.NewConditionItem(meta.ProjectPhaseResourceLst_PhaseId, grmi.Equal, true),
		meta.ProjectPhaseResourceLst_ResourceId.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ResourceId, grmi.Equal, true),
		meta.ProjectPhaseResourceLst_PlanStartDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseResourceLst_PlanStartDate, grmi.Approximate, true),
		meta.ProjectPhaseResourceLst_Pos.UrlParameterName:             grmi.NewConditionItem(meta.ProjectPhaseResourceLst_Pos, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_ResourceName.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ResourceName, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_PlanEndDate.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseResourceLst_PlanEndDate, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_ActualStartDate.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ActualStartDate, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_ActualEndDate.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ActualEndDate, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_PlanMandays.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseResourceLst_PlanMandays, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_ActualMandays.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ActualMandays, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_PlanCost.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseResourceLst_PlanCost, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_ActualCost.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourceLst_ActualCost, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_MandayRate.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourceLst_MandayRate, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_Remark.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPhaseResourceLst_Remark, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CtrlPara1.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlPara1, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CtrlPara2.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlPara2, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CtrlStr1.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlStr1, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CtrlStr2.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlStr2, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CtrlTime1.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlTime1, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_CtrlTime2.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CtrlTime2, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_LastModify.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourceLst_LastModify, grmi.Approximate, false),
		meta.ProjectPhaseResourceLst_LastUser.UrlParameterName:        grmi.NewConditionItem(meta.ProjectPhaseResourceLst_LastUser, grmi.Equal, false),
		meta.ProjectPhaseResourceLst_CreateTime.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourceLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseResourceLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseResourceLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPhaseResourceLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseResourceLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourceLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
type ProjectPhaseResourceLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseResourceLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseResourceLstDAOImplement实例
 *
 * @Return Value             : ProjectPhaseResourceLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func NewProjectPhaseResourceLstServiceImplement() *ProjectPhaseResourceLstServiceImplement {
	return &ProjectPhaseResourceLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPhaseResourceLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "InsertOneProjectPhaseResourceLst", "插入一个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.PlanStartDate)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) DeleteOne(user *global.User, projectId string, phaseId string, resourceId string, planStartDate grmi.Date) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "DeleteOneProjectPhaseResourceLst", "删除一个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, phaseId, resourceId, planStartDate)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, phaseId, resourceId, planStartDate)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) SelectOne(user *global.User, projectId string, phaseId string, resourceId string, planStartDate grmi.Date) (*model.ProjectPhaseResourceLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "SelectOneProjectPhaseResourceLst", "查询一个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, phaseId, resourceId, planStartDate)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPhaseResourceLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "UpdateOneProjectPhaseResourceLst", "修改一个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.PlanStartDate)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPhaseResourceLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "InsertProjectPhaseResourceLst", "插入多个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPhaseResourceLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "DeleteProjectPhaseResourceLst", "删除多个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPhaseResourceLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "SelectProjectPhaseResourceLst", "查询ProjectPhaseResourceLst")

	condition := DefaultConditionOfProjectPhaseResourceLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}

	dao_ProjectPhaseResourcePeopleLst := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	for index, _ := range result{
		list, _ := dao_ProjectPhaseResourcePeopleLst.Select( []grmi.Predicate{meta.ProjectPhaseResourcePeopleLst_ProjectId.NewPredicate(grmi.Equal, result[index].ProjectId),
			meta.ProjectPhaseResourcePeopleLst_PhaseId.NewPredicate(grmi.Equal, result[index].PhaseId),
			meta.ProjectPhaseResourcePeopleLst_ResourceId.NewPredicate(grmi.Equal,  result[index].ResourceId),
			meta.ProjectPhaseResourcePeopleLst_PlanStartDate.NewPredicate(grmi.Equal,  result[index].PlanStartDate.ToString()),
		},nil)
		result[index].ProjectPhaseResourcePeopleLst = list
	}

	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "SelectProjectPhaseResourceLst", "查询ProjectPhaseResourceLst")

	condition := DefaultConditionOfProjectPhaseResourceLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourceLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourceLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPhaseResourceLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourceLst.service.impl.go", "UpdateProjectPhaseResourceLst", "修改多个ProjectPhaseResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourceLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
