// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LEIT_PM/dao/pj"
	"LEIT_PM/db"
	"LEIT_PM/global"
	"LEIT_PM/grmi"
	meta "LEIT_PM/meta/pj"
	model "LEIT_PM/models/pj"
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseResourcePeopleLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseResourcePeopleLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ProjectPhaseResourcePeopleLst_ProjectId.UrlParameterName:     grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_ProjectId, grmi.Equal, true),
		meta.ProjectPhaseResourcePeopleLst_PhaseId.UrlParameterName:       grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_PhaseId, grmi.Equal, true),
		meta.ProjectPhaseResourcePeopleLst_ResourceId.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_ResourceId, grmi.Equal, true),
		meta.ProjectPhaseResourcePeopleLst_Name.UrlParameterName:          grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_Name, grmi.Equal, true),
		meta.ProjectPhaseResourcePeopleLst_PlanStartDate.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_PlanStartDate, grmi.Approximate, true),
		meta.ProjectPhaseResourcePeopleLst_Pos.UrlParameterName:           grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_Pos, grmi.Equal, false),
		meta.ProjectPhaseResourcePeopleLst_ActualMandays.UrlParameterName: grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_ActualMandays, grmi.Equal, false),
		meta.ProjectPhaseResourcePeopleLst_ActualHours.UrlParameterName:   grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_ActualHours, grmi.Equal, false),
		meta.ProjectPhaseResourcePeopleLst_LastModify.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_LastModify, grmi.Approximate, false),
		meta.ProjectPhaseResourcePeopleLst_LastUser.UrlParameterName:      grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_LastUser, grmi.Equal, false),
		meta.ProjectPhaseResourcePeopleLst_CreateTime.UrlParameterName:    grmi.NewConditionItem(meta.ProjectPhaseResourcePeopleLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ProjectPhaseResourcePeopleLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
var DefaultConditionOfProjectPhaseResourcePeopleLstAndPaging = grmi.NewCondition(
	DefaultConditionOfProjectPhaseResourcePeopleLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ProjectPhaseResourcePeopleLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProjectPhaseResourcePeopleLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
type ProjectPhaseResourcePeopleLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewProjectPhaseResourcePeopleLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProjectPhaseResourcePeopleLstDAOImplement实例
 *
 * @Return Value             : ProjectPhaseResourcePeopleLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-09 11:17:04
 *
 ******************************************************************************/
func NewProjectPhaseResourcePeopleLstServiceImplement() *ProjectPhaseResourcePeopleLstServiceImplement {
	return &ProjectPhaseResourcePeopleLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) InsertOne(user *global.User, entity *model.ProjectPhaseResourcePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "InsertOneProjectPhaseResourcePeopleLst", "插入一个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.Name, entity.PlanStartDate)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) DeleteOne(user *global.User, projectId string, phaseId string, resourceId string, name string, planStartDate grmi.Date) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "DeleteOneProjectPhaseResourcePeopleLst", "删除一个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(projectId, phaseId, resourceId, name, planStartDate)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(projectId, phaseId, resourceId, name, planStartDate)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) SelectOne(user *global.User, projectId string, phaseId string, resourceId string, name string, planStartDate grmi.Date) (*model.ProjectPhaseResourcePeopleLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "SelectOneProjectPhaseResourcePeopleLst", "查询一个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	result, err := dao.SelectOne(projectId, phaseId, resourceId, name, planStartDate)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) UpdateOne(user *global.User, entity *model.ProjectPhaseResourcePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "UpdateOneProjectPhaseResourcePeopleLst", "修改一个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.Name, entity.PlanStartDate)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.Insert
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) Insert(user *global.User, entities *[]model.ProjectPhaseResourcePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "InsertProjectPhaseResourcePeopleLst", "插入多个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.Name, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.Delete
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) Delete(user *global.User, entities *[]model.ProjectPhaseResourcePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "DeleteProjectPhaseResourcePeopleLst", "删除多个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.Name, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.Select
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ProjectPhaseResourcePeopleLst, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "SelectProjectPhaseResourcePeopleLst", "查询ProjectPhaseResourcePeopleLst")

	condition := DefaultConditionOfProjectPhaseResourcePeopleLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "SelectProjectPhaseResourcePeopleLst", "查询ProjectPhaseResourcePeopleLst")

	condition := DefaultConditionOfProjectPhaseResourcePeopleLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LEIT_PM/services/pj/ProjectPhaseResourcePeopleLstService.Update
 *
 ******************************************************************************/
func (impl *ProjectPhaseResourcePeopleLstServiceImplement) Update(user *global.User, entities *[]model.ProjectPhaseResourcePeopleLst) error {

	grmi.Log(user, "/services/pj/implments/ProjectPhaseResourcePeopleLst.service.impl.go", "UpdateProjectPhaseResourcePeopleLst", "修改多个ProjectPhaseResourcePeopleLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewProjectPhaseResourcePeopleLstDAO(session, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ProjectId, entity.PhaseId, entity.ResourceId, entity.Name, entity.PlanStartDate)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
