// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LEIT_PM/grmi"
	svr "LEIT_PM/services/base"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 13:55:03
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块base路由分组
	grmi.RegisterRouteMapping("/base", func(party router.Party) {

		// Attribute的路由组
		attribute := party.Party("/attribute")
		// Attribute的服务实例
		var serviceOfAttribute = svr.NewAttributeService()
		// Attribute插入一条
		// RegisterInsertOneAttribute(attribute, "/insertone", serviceOfAttribute.InsertOne)
		// Attribute插入多条
		// RegisterInsertAttribute(attribute, "/insert", serviceOfAttribute.Insert)
		// Attribute删除一条
		// RegisterDeleteOneAttribute(attribute, "/deleteone", serviceOfAttribute.DeleteOne)
		// Attribute删除多条
		// RegisterDeleteAttribute(attribute, "/delete", serviceOfAttribute.Delete)
		// Attribute查询多条
		RegisterSelectAttribute(attribute, "/selectlist", serviceOfAttribute.Select)
		// Attribute查询多条并分页
		RegisterQueryAttribute(attribute, "/query", serviceOfAttribute.SelectAndPaging)
		// Attribute查询一条
		RegisterSelectOneAttribute(attribute, "/selectone", serviceOfAttribute.SelectOne)
		// Attribute修改一条
		// RegisterUpdateOneAttribute(attribute, "/updateone", serviceOfAttribute.UpdateOne)
		// Attribute修改多条
		// RegisterUpdateAttribute(attribute, "/update", serviceOfAttribute.Update)

		// CodeParser的路由组
		codeparser := party.Party("/codeparser")
		// CodeParser的服务实例
		var serviceOfCodeParser = svr.NewCodeParserService()
		// CodeParser插入一条
		// RegisterInsertOneCodeParser(codeparser, "/insertone", serviceOfCodeParser.InsertOne)
		// CodeParser插入多条
		// RegisterInsertCodeParser(codeparser, "/insert", serviceOfCodeParser.Insert)
		// CodeParser删除一条
		// RegisterDeleteOneCodeParser(codeparser, "/deleteone", serviceOfCodeParser.DeleteOne)
		// CodeParser删除多条
		// RegisterDeleteCodeParser(codeparser, "/delete", serviceOfCodeParser.Delete)
		// CodeParser查询多条
		RegisterSelectCodeParser(codeparser, "/selectlist", serviceOfCodeParser.Select)
		// CodeParser查询多条并分页
		RegisterQueryCodeParser(codeparser, "/query", serviceOfCodeParser.SelectAndPaging)
		// CodeParser查询一条
		RegisterSelectOneCodeParser(codeparser, "/selectone", serviceOfCodeParser.SelectOne)
		// CodeParser修改一条
		// RegisterUpdateOneCodeParser(codeparser, "/updateone", serviceOfCodeParser.UpdateOne)
		// CodeParser修改多条
		// RegisterUpdateCodeParser(codeparser, "/update", serviceOfCodeParser.Update)

		// CostCenter的路由组
		costcenter := party.Party("/costcenter")
		// CostCenter的服务实例
		var serviceOfCostCenter = svr.NewCostCenterService()
		// CostCenter插入一条
		// RegisterInsertOneCostCenter(costcenter, "/insertone", serviceOfCostCenter.InsertOne)
		// CostCenter插入多条
		// RegisterInsertCostCenter(costcenter, "/insert", serviceOfCostCenter.Insert)
		// CostCenter删除一条
		// RegisterDeleteOneCostCenter(costcenter, "/deleteone", serviceOfCostCenter.DeleteOne)
		// CostCenter删除多条
		// RegisterDeleteCostCenter(costcenter, "/delete", serviceOfCostCenter.Delete)
		// CostCenter查询多条
		RegisterSelectCostCenter(costcenter, "/selectlist", serviceOfCostCenter.Select)
		// CostCenter查询多条并分页
		RegisterQueryCostCenter(costcenter, "/query", serviceOfCostCenter.SelectAndPaging)
		// CostCenter查询一条
		RegisterSelectOneCostCenter(costcenter, "/selectone", serviceOfCostCenter.SelectOne)
		// CostCenter修改一条
		// RegisterUpdateOneCostCenter(costcenter, "/updateone", serviceOfCostCenter.UpdateOne)
		// CostCenter修改多条
		// RegisterUpdateCostCenter(costcenter, "/update", serviceOfCostCenter.Update)

		// LabelParserDetailLst的路由组
		labelparserdetaillst := party.Party("/labelparserdetaillst")
		// LabelParserDetailLst的服务实例
		var serviceOfLabelParserDetailLst = svr.NewLabelParserDetailLstService()
		// LabelParserDetailLst插入一条
		// RegisterInsertOneLabelParserDetailLst(labelparserdetaillst, "/insertone", serviceOfLabelParserDetailLst.InsertOne)
		// LabelParserDetailLst插入多条
		// RegisterInsertLabelParserDetailLst(labelparserdetaillst, "/insert", serviceOfLabelParserDetailLst.Insert)
		// LabelParserDetailLst删除一条
		// RegisterDeleteOneLabelParserDetailLst(labelparserdetaillst, "/deleteone", serviceOfLabelParserDetailLst.DeleteOne)
		// LabelParserDetailLst删除多条
		// RegisterDeleteLabelParserDetailLst(labelparserdetaillst, "/delete", serviceOfLabelParserDetailLst.Delete)
		// LabelParserDetailLst查询多条
		RegisterSelectLabelParserDetailLst(labelparserdetaillst, "/selectlist", serviceOfLabelParserDetailLst.Select)
		// LabelParserDetailLst查询多条并分页
		RegisterQueryLabelParserDetailLst(labelparserdetaillst, "/query", serviceOfLabelParserDetailLst.SelectAndPaging)
		// LabelParserDetailLst查询一条
		RegisterSelectOneLabelParserDetailLst(labelparserdetaillst, "/selectone", serviceOfLabelParserDetailLst.SelectOne)
		// LabelParserDetailLst修改一条
		// RegisterUpdateOneLabelParserDetailLst(labelparserdetaillst, "/updateone", serviceOfLabelParserDetailLst.UpdateOne)
		// LabelParserDetailLst修改多条
		// RegisterUpdateLabelParserDetailLst(labelparserdetaillst, "/update", serviceOfLabelParserDetailLst.Update)

		// LabelParserHead的路由组
		labelparserhead := party.Party("/labelparserhead")
		// LabelParserHead的服务实例
		var serviceOfLabelParserHead = svr.NewLabelParserHeadService()
		// LabelParserHead插入一条
		// RegisterInsertOneLabelParserHead(labelparserhead, "/insertone", serviceOfLabelParserHead.InsertOne)
		// LabelParserHead插入多条
		// RegisterInsertLabelParserHead(labelparserhead, "/insert", serviceOfLabelParserHead.Insert)
		// LabelParserHead删除一条
		// RegisterDeleteOneLabelParserHead(labelparserhead, "/deleteone", serviceOfLabelParserHead.DeleteOne)
		// LabelParserHead删除多条
		// RegisterDeleteLabelParserHead(labelparserhead, "/delete", serviceOfLabelParserHead.Delete)
		// LabelParserHead查询多条
		RegisterSelectLabelParserHead(labelparserhead, "/selectlist", serviceOfLabelParserHead.Select)
		// LabelParserHead查询多条并分页
		RegisterQueryLabelParserHead(labelparserhead, "/query", serviceOfLabelParserHead.SelectAndPaging)
		// LabelParserHead查询一条
		RegisterSelectOneLabelParserHead(labelparserhead, "/selectone", serviceOfLabelParserHead.SelectOne)
		// LabelParserHead修改一条
		// RegisterUpdateOneLabelParserHead(labelparserhead, "/updateone", serviceOfLabelParserHead.UpdateOne)
		// LabelParserHead修改多条
		// RegisterUpdateLabelParserHead(labelparserhead, "/update", serviceOfLabelParserHead.Update)

		// Menu的路由组
		menu := party.Party("/menu")
		// Menu的服务实例
		var serviceOfMenu = svr.NewMenuService()
		// Menu插入一条
		RegisterInsertOneMenu(menu, "/insertone", serviceOfMenu.InsertOne)
		// Menu插入多条
		// RegisterInsertMenu(menu, "/insert", serviceOfMenu.Insert)
		// Menu删除一条
		RegisterDeleteOneMenu(menu, "/deleteone", serviceOfMenu.DeleteOne)
		// Menu删除多条
		// RegisterDeleteMenu(menu, "/delete", serviceOfMenu.Delete)
		// Menu查询多条
		RegisterSelectMenu(menu, "/selectlist", serviceOfMenu.Select)
		// Menu查询多条并分页
		RegisterQueryMenu(menu, "/query", serviceOfMenu.SelectAndPaging)
		// Menu查询一条
		RegisterSelectOneMenu(menu, "/selectone", serviceOfMenu.SelectOne)
		// Menu修改一条
		RegisterUpdateOneMenu(menu, "/updateone", serviceOfMenu.UpdateOne)
		// Menu修改多条
		// RegisterUpdateMenu(menu, "/update", serviceOfMenu.Update)
		//查询菜单列表
		RegisterSelectMenuList(menu, "/menulist", serviceOfMenu.SelectMenu)
		//获取菜单列表
		RegisterSelectMenuLable(menu, "/menuTreeselect", serviceOfMenu.SelectMenuLable)
		//角色菜单
		RegisterMenuTreeRoleselect(menu, "/roleMenuTreeselect", serviceOfMenu.MenuTreeRoleselect)

		// Plant的路由组
		plant := party.Party("/plant")
		// Plant的服务实例
		var serviceOfPlant = svr.NewPlantService()
		// Plant插入一条
		RegisterInsertOnePlant(plant, "/insertone", serviceOfPlant.InsertOne)
		// Plant插入多条
		// RegisterInsertPlant(plant, "/insert", serviceOfPlant.Insert)
		// Plant删除一条
		RegisterDeleteOnePlant(plant, "/deleteone", serviceOfPlant.DeleteOne)
		// Plant删除多条
		// RegisterDeletePlant(plant, "/delete", serviceOfPlant.Delete)
		// Plant查询多条
		RegisterSelectPlant(plant, "/selectlist", serviceOfPlant.Select)
		// Plant查询多条并分页
		RegisterQueryPlant(plant, "/query", serviceOfPlant.SelectAndPaging)
		// Plant查询一条
		RegisterSelectOnePlant(plant, "/selectone", serviceOfPlant.SelectOne)
		// Plant修改一条
		RegisterUpdateOnePlant(plant, "/updateone", serviceOfPlant.UpdateOne)
		// Plant修改多条
		// RegisterUpdatePlant(plant, "/update", serviceOfPlant.Update)

		// PrintDetail的路由组
		printdetail := party.Party("/printdetail")
		// PrintDetail的服务实例
		var serviceOfPrintDetail = svr.NewPrintDetailService()
		// PrintDetail插入一条
		// RegisterInsertOnePrintDetail(printdetail, "/insertone", serviceOfPrintDetail.InsertOne)
		// PrintDetail插入多条
		// RegisterInsertPrintDetail(printdetail, "/insert", serviceOfPrintDetail.Insert)
		// PrintDetail删除一条
		// RegisterDeleteOnePrintDetail(printdetail, "/deleteone", serviceOfPrintDetail.DeleteOne)
		// PrintDetail删除多条
		// RegisterDeletePrintDetail(printdetail, "/delete", serviceOfPrintDetail.Delete)
		// PrintDetail查询多条
		RegisterSelectPrintDetail(printdetail, "/selectlist", serviceOfPrintDetail.Select)
		// PrintDetail查询多条并分页
		RegisterQueryPrintDetail(printdetail, "/query", serviceOfPrintDetail.SelectAndPaging)
		// PrintDetail查询一条
		RegisterSelectOnePrintDetail(printdetail, "/selectone", serviceOfPrintDetail.SelectOne)
		// PrintDetail修改一条
		// RegisterUpdateOnePrintDetail(printdetail, "/updateone", serviceOfPrintDetail.UpdateOne)
		// PrintDetail修改多条
		// RegisterUpdatePrintDetail(printdetail, "/update", serviceOfPrintDetail.Update)

		// Printer的路由组
		printer := party.Party("/printer")
		// Printer的服务实例
		var serviceOfPrinter = svr.NewPrinterService()
		// Printer插入一条
		RegisterInsertOnePrinter(printer, "/insertone", serviceOfPrinter.InsertOne)
		// Printer插入多条
		// RegisterInsertPrinter(printer, "/insert", serviceOfPrinter.Insert)
		// Printer删除一条
		RegisterDeleteOnePrinter(printer, "/deleteone", serviceOfPrinter.DeleteOne)
		// Printer删除多条
		// RegisterDeletePrinter(printer, "/delete", serviceOfPrinter.Delete)
		// Printer查询多条
		RegisterSelectPrinter(printer, "/selectlist", serviceOfPrinter.Select)
		// Printer查询多条并分页
		RegisterQueryPrinter(printer, "/query", serviceOfPrinter.SelectAndPaging)
		// Printer查询一条
		RegisterSelectOnePrinter(printer, "/selectone", serviceOfPrinter.SelectOne)
		// Printer修改一条
		RegisterUpdateOnePrinter(printer, "/updateone", serviceOfPrinter.UpdateOne)
		// Printer修改多条
		// RegisterUpdatePrinter(printer, "/update", serviceOfPrinter.Update)

		// PrinterTemplate的路由组
		printertemplate := party.Party("/printertemplate")
		// PrinterTemplate的服务实例
		var serviceOfPrinterTemplate = svr.NewPrinterTemplateService()
		// PrinterTemplate插入一条
		RegisterInsertOnePrinterTemplate(printertemplate, "/insertone", serviceOfPrinterTemplate.InsertOne)
		// PrinterTemplate插入多条
		// RegisterInsertPrinterTemplate(printertemplate, "/insert", serviceOfPrinterTemplate.Insert)
		// PrinterTemplate删除一条
		RegisterDeleteOnePrinterTemplate(printertemplate, "/deleteone", serviceOfPrinterTemplate.DeleteOne)
		// PrinterTemplate删除多条
		// RegisterDeletePrinterTemplate(printertemplate, "/delete", serviceOfPrinterTemplate.Delete)
		// PrinterTemplate查询多条
		RegisterSelectPrinterTemplate(printertemplate, "/selectlist", serviceOfPrinterTemplate.Select)
		// PrinterTemplate查询多条并分页
		RegisterQueryPrinterTemplate(printertemplate, "/query", serviceOfPrinterTemplate.SelectAndPaging)
		// PrinterTemplate查询一条
		RegisterSelectOnePrinterTemplate(printertemplate, "/selectone", serviceOfPrinterTemplate.SelectOne)
		// PrinterTemplate修改一条
		RegisterUpdateOnePrinterTemplate(printertemplate, "/updateone", serviceOfPrinterTemplate.UpdateOne)
		// PrinterTemplate修改多条
		// RegisterUpdatePrinterTemplate(printertemplate, "/update", serviceOfPrinterTemplate.Update)

		// PrinterTemplateLst的路由组
		printertemplatelst := party.Party("/printertemplatelst")
		// PrinterTemplateLst的服务实例
		var serviceOfPrinterTemplateLst = svr.NewPrinterTemplateLstService()
		// PrinterTemplateLst插入一条
		RegisterInsertOnePrinterTemplateLst(printertemplatelst, "/insertone", serviceOfPrinterTemplateLst.InsertOne)
		// PrinterTemplateLst插入多条
		// RegisterInsertPrinterTemplateLst(printertemplatelst, "/insert", serviceOfPrinterTemplateLst.Insert)
		// PrinterTemplateLst删除一条
		RegisterDeleteOnePrinterTemplateLst(printertemplatelst, "/deleteone", serviceOfPrinterTemplateLst.DeleteOne)
		// PrinterTemplateLst删除多条
		// RegisterDeletePrinterTemplateLst(printertemplatelst, "/delete", serviceOfPrinterTemplateLst.Delete)
		// PrinterTemplateLst查询多条
		RegisterSelectPrinterTemplateLst(printertemplatelst, "/selectlist", serviceOfPrinterTemplateLst.Select)
		// PrinterTemplateLst查询多条并分页
		RegisterQueryPrinterTemplateLst(printertemplatelst, "/query", serviceOfPrinterTemplateLst.SelectAndPaging)
		// PrinterTemplateLst查询一条
		RegisterSelectOnePrinterTemplateLst(printertemplatelst, "/selectone", serviceOfPrinterTemplateLst.SelectOne)
		// PrinterTemplateLst修改一条
		RegisterUpdateOnePrinterTemplateLst(printertemplatelst, "/updateone", serviceOfPrinterTemplateLst.UpdateOne)
		// PrinterTemplateLst修改多条
		// RegisterUpdatePrinterTemplateLst(printertemplatelst, "/update", serviceOfPrinterTemplateLst.Update)

		// PrintHead的路由组
		printhead := party.Party("/printhead")
		// PrintHead的服务实例
		var serviceOfPrintHead = svr.NewPrintHeadService()
		// PrintHead插入一条
		RegisterInsertOnePrintHead(printhead, "/insertone", serviceOfPrintHead.InsertOne)
		// PrintHead插入多条
		// RegisterInsertPrintHead(printhead, "/insert", serviceOfPrintHead.Insert)
		// PrintHead删除一条
		RegisterDeleteOnePrintHead(printhead, "/deleteone", serviceOfPrintHead.DeleteOne)
		// PrintHead删除多条
		// RegisterDeletePrintHead(printhead, "/delete", serviceOfPrintHead.Delete)
		// PrintHead查询多条
		RegisterSelectPrintHead(printhead, "/selectlist", serviceOfPrintHead.Select)
		// PrintHead查询多条并分页
		RegisterQueryPrintHead(printhead, "/query", serviceOfPrintHead.SelectAndPaging)
		// PrintHead查询一条
		RegisterSelectOnePrintHead(printhead, "/selectone", serviceOfPrintHead.SelectOne)
		// PrintHead修改一条
		RegisterUpdateOnePrintHead(printhead, "/updateone", serviceOfPrintHead.UpdateOne)
		// PrintHead修改多条
		// RegisterUpdatePrintHead(printhead, "/update", serviceOfPrintHead.Update)

		// Role的路由组
		role := party.Party("/role")
		// Role的服务实例
		var serviceOfRole = svr.NewRoleService()
		// Role插入一条
		RegisterInsertOneRole(role, "/insertone", serviceOfRole.InsertOne)
		// Role插入多条
		// RegisterInsertRole(role, "/insert", serviceOfRole.Insert)
		// Role删除一条
		RegisterDeleteOneRole(role, "/deleteone", serviceOfRole.DeleteOne)
		// Role删除多条
		// RegisterDeleteRole(role, "/delete", serviceOfRole.Delete)
		// Role查询多条
		RegisterSelectRole(role, "/selectlist", serviceOfRole.Select)
		// Role查询多条并分页
		RegisterQueryRole(role, "/query", serviceOfRole.SelectAndPaging)
		// Role查询一条
		RegisterSelectOneRole(role, "/selectone", serviceOfRole.SelectOne)
		// Role修改一条
		RegisterUpdateOneRole(role, "/updateone", serviceOfRole.UpdateOne)
		// Role修改一条
		RegisterRoleUpdateStatus(role, "/updatestatus", serviceOfRole.UpdateStatus)
		// Role修改多条
		// RegisterUpdateRole(role, "/update", serviceOfRole.Update)
		// 获取所有的角色
		RegisterGetList(role, "/urole", serviceOfRole.GetList)

		// RoleMenu的路由组
		rolemenu := party.Party("/rolemenu")
		// RoleMenu的服务实例
		var serviceOfRoleMenu = svr.NewRoleMenuService()
		// RoleMenu插入一条
		// RegisterInsertOneRoleMenu(rolemenu, "/insertone", serviceOfRoleMenu.InsertOne)
		// RoleMenu插入多条
		// RegisterInsertRoleMenu(rolemenu, "/insert", serviceOfRoleMenu.Insert)
		// RoleMenu删除一条
		// RegisterDeleteOneRoleMenu(rolemenu, "/deleteone", serviceOfRoleMenu.DeleteOne)
		// RoleMenu删除多条
		// RegisterDeleteRoleMenu(rolemenu, "/delete", serviceOfRoleMenu.Delete)
		// RoleMenu查询多条
		RegisterSelectRoleMenu(rolemenu, "/selectlist", serviceOfRoleMenu.Select)
		// RoleMenu查询多条并分页
		RegisterQueryRoleMenu(rolemenu, "/query", serviceOfRoleMenu.SelectAndPaging)
		// RoleMenu查询一条
		RegisterSelectOneRoleMenu(rolemenu, "/selectone", serviceOfRoleMenu.SelectOne)
		// RoleMenu修改一条
		// RegisterUpdateOneRoleMenu(rolemenu, "/updateone", serviceOfRoleMenu.UpdateOne)
		// RoleMenu修改多条
		// RegisterUpdateRoleMenu(rolemenu, "/update", serviceOfRoleMenu.Update)

		// Script的路由组
		script := party.Party("/script")
		// Script的服务实例
		var serviceOfScript = svr.NewScriptService()
		// Script插入一条
		// RegisterInsertOneScript(script, "/insertone", serviceOfScript.InsertOne)
		// Script插入多条
		// RegisterInsertScript(script, "/insert", serviceOfScript.Insert)
		// Script删除一条
		// RegisterDeleteOneScript(script, "/deleteone", serviceOfScript.DeleteOne)
		// Script删除多条
		// RegisterDeleteScript(script, "/delete", serviceOfScript.Delete)
		// Script查询多条
		RegisterSelectScript(script, "/selectlist", serviceOfScript.Select)
		// Script查询多条并分页
		RegisterQueryScript(script, "/query", serviceOfScript.SelectAndPaging)
		// Script查询一条
		RegisterSelectOneScript(script, "/selectone", serviceOfScript.SelectOne)
		// Script修改一条
		// RegisterUpdateOneScript(script, "/updateone", serviceOfScript.UpdateOne)
		// Script修改多条
		// RegisterUpdateScript(script, "/update", serviceOfScript.Update)

		// ScriptItem的路由组
		scriptitem := party.Party("/scriptitem")
		// ScriptItem的服务实例
		var serviceOfScriptItem = svr.NewScriptItemService()
		// ScriptItem插入一条
		// RegisterInsertOneScriptItem(scriptitem, "/insertone", serviceOfScriptItem.InsertOne)
		// ScriptItem插入多条
		// RegisterInsertScriptItem(scriptitem, "/insert", serviceOfScriptItem.Insert)
		// ScriptItem删除一条
		// RegisterDeleteOneScriptItem(scriptitem, "/deleteone", serviceOfScriptItem.DeleteOne)
		// ScriptItem删除多条
		// RegisterDeleteScriptItem(scriptitem, "/delete", serviceOfScriptItem.Delete)
		// ScriptItem查询多条
		RegisterSelectScriptItem(scriptitem, "/selectlist", serviceOfScriptItem.Select)
		// ScriptItem查询多条并分页
		RegisterQueryScriptItem(scriptitem, "/query", serviceOfScriptItem.SelectAndPaging)
		// ScriptItem查询一条
		RegisterSelectOneScriptItem(scriptitem, "/selectone", serviceOfScriptItem.SelectOne)
		// ScriptItem修改一条
		// RegisterUpdateOneScriptItem(scriptitem, "/updateone", serviceOfScriptItem.UpdateOne)
		// ScriptItem修改多条
		// RegisterUpdateScriptItem(scriptitem, "/update", serviceOfScriptItem.Update)

		// Snr的路由组
		snr := party.Party("/snr")
		// Snr的服务实例
		var serviceOfSnr = svr.NewSnrService()
		// Snr插入一条
		RegisterInsertOneSnr(snr, "/insertone", serviceOfSnr.InsertOne)
		// Snr插入多条
		// RegisterInsertSnr(snr, "/insert", serviceOfSnr.Insert)
		// Snr删除一条
		RegisterDeleteOneSnr(snr, "/deleteone", serviceOfSnr.DeleteOne)
		// Snr删除多条
		// RegisterDeleteSnr(snr, "/delete", serviceOfSnr.Delete)
		// Snr查询多条
		RegisterSelectSnr(snr, "/selectlist", serviceOfSnr.Select)
		// Snr查询多条并分页
		RegisterQuerySnr(snr, "/query", serviceOfSnr.SelectAndPaging)
		// Snr查询一条
		RegisterSelectOneSnr(snr, "/selectone", serviceOfSnr.SelectOne)
		// Snr修改一条
		RegisterUpdateOneSnr(snr, "/updateone", serviceOfSnr.UpdateOne)
		// Snr修改多条
		// RegisterUpdateSnr(snr, "/update", serviceOfSnr.Update)

		// StatusColor的路由组
		statuscolor := party.Party("/statuscolor")
		// StatusColor的服务实例
		var serviceOfStatusColor = svr.NewStatusColorService()
		// StatusColor插入一条
		// RegisterInsertOneStatusColor(statuscolor, "/insertone", serviceOfStatusColor.InsertOne)
		// StatusColor插入多条
		// RegisterInsertStatusColor(statuscolor, "/insert", serviceOfStatusColor.Insert)
		// StatusColor删除一条
		// RegisterDeleteOneStatusColor(statuscolor, "/deleteone", serviceOfStatusColor.DeleteOne)
		// StatusColor删除多条
		// RegisterDeleteStatusColor(statuscolor, "/delete", serviceOfStatusColor.Delete)
		// StatusColor查询多条
		RegisterSelectStatusColor(statuscolor, "/selectlist", serviceOfStatusColor.Select)
		// StatusColor查询多条并分页
		RegisterQueryStatusColor(statuscolor, "/query", serviceOfStatusColor.SelectAndPaging)
		// StatusColor查询一条
		RegisterSelectOneStatusColor(statuscolor, "/selectone", serviceOfStatusColor.SelectOne)
		// StatusColor修改一条
		// RegisterUpdateOneStatusColor(statuscolor, "/updateone", serviceOfStatusColor.UpdateOne)
		// StatusColor修改多条
		// RegisterUpdateStatusColor(statuscolor, "/update", serviceOfStatusColor.Update)

		// Stdef的路由组
		stdef := party.Party("/stdef")
		// Stdef的服务实例
		var serviceOfStdef = svr.NewStdefService()
		// Stdef插入一条
		RegisterInsertOneStdef(stdef, "/insertone", serviceOfStdef.InsertOne)
		// Stdef插入多条
		// RegisterInsertStdef(stdef, "/insert", serviceOfStdef.Insert)
		// Stdef删除一条
		RegisterDeleteOneStdef(stdef, "/deleteone", serviceOfStdef.DeleteOne)
		// Stdef删除多条
		// RegisterDeleteStdef(stdef, "/delete", serviceOfStdef.Delete)
		// Stdef查询多条
		RegisterSelectStdef(stdef, "/selectlist", serviceOfStdef.Select)
		// Stdef查询多条并分页
		RegisterQueryStdef(stdef, "/query", serviceOfStdef.SelectAndPaging)
		// Stdef查询一条
		RegisterSelectOneStdef(stdef, "/selectone", serviceOfStdef.SelectOne)
		// Stdef修改一条
		RegisterUpdateOneStdef(stdef, "/updateone", serviceOfStdef.UpdateOne)
		// Stdef修改多条
		// RegisterUpdateStdef(stdef, "/update", serviceOfStdef.Update)

		// TabColName的路由组
		tabcolname := party.Party("/tabcolname")
		// TabColName的服务实例
		var serviceOfTabColName = svr.NewTabColNameService()
		// TabColName插入一条
		RegisterInsertOneTabColName(tabcolname, "/insertone", serviceOfTabColName.InsertOne)
		// TabColName插入多条
		// RegisterInsertTabColName(tabcolname, "/insert", serviceOfTabColName.Insert)
		// TabColName删除一条
		RegisterDeleteOneTabColName(tabcolname, "/deleteone", serviceOfTabColName.DeleteOne)
		// TabColName删除多条
		// RegisterDeleteTabColName(tabcolname, "/delete", serviceOfTabColName.Delete)
		// TabColName查询多条
		RegisterSelectTabColName(tabcolname, "/selectlist", serviceOfTabColName.Select)
		// TabColName查询多条并分页
		RegisterQueryTabColName(tabcolname, "/query", serviceOfTabColName.SelectAndPaging)
		// TabColName查询一条
		RegisterSelectOneTabColName(tabcolname, "/selectone", serviceOfTabColName.SelectOne)
		// TabColName修改一条
		RegisterUpdateOneTabColName(tabcolname, "/updateone", serviceOfTabColName.UpdateOne)
		// TabColName修改多条
		// RegisterUpdateTabColName(tabcolname, "/update", serviceOfTabColName.Update)

		// Uom的路由组
		uom := party.Party("/uom")
		// Uom的服务实例
		var serviceOfUom = svr.NewUomService()
		// Uom插入一条
		// RegisterInsertOneUom(uom, "/insertone", serviceOfUom.InsertOne)
		// Uom插入多条
		// RegisterInsertUom(uom, "/insert", serviceOfUom.Insert)
		// Uom删除一条
		// RegisterDeleteOneUom(uom, "/deleteone", serviceOfUom.DeleteOne)
		// Uom删除多条
		// RegisterDeleteUom(uom, "/delete", serviceOfUom.Delete)
		// Uom查询多条
		RegisterSelectUom(uom, "/selectlist", serviceOfUom.Select)
		// Uom查询多条并分页
		RegisterQueryUom(uom, "/query", serviceOfUom.SelectAndPaging)
		// Uom查询一条
		RegisterSelectOneUom(uom, "/selectone", serviceOfUom.SelectOne)
		// Uom修改一条
		// RegisterUpdateOneUom(uom, "/updateone", serviceOfUom.UpdateOne)
		// Uom修改多条
		// RegisterUpdateUom(uom, "/update", serviceOfUom.Update)

		// User的路由组
		user := party.Party("/user")
		// User的服务实例
		var serviceOfUser = svr.NewUserService()
		// User插入一条
		RegisterInsertOneUser(user, "/insertone", serviceOfUser.InsertOne)
		// User插入多条
		// RegisterInsertUser(user, "/insert", serviceOfUser.Insert)
		// User删除一条
		RegisterDeleteOneUser(user, "/deleteone", serviceOfUser.DeleteOne)
		// User删除多条
		// RegisterDeleteUser(user, "/delete", serviceOfUser.Delete)
		// User查询多条
		RegisterSelectUser(user, "/selectlist", serviceOfUser.Select)
		// User查询多条并分页
		RegisterQueryUser(user, "/query", serviceOfUser.SelectAndPaging)
		// User查询一条
		RegisterSelectOneUser(user, "/selectone", serviceOfUser.SelectOne)
		//查询信息
		RegisterGetUserInfo(user, "/userinfo", serviceOfUser.GetUserInfo)
		//更新状态
		RegisterUpdateStatus(user, "/updatestatus", serviceOfUser.UpdateStatus)
		//修改密码
		RegisterSetPwd(user, "/setpwd", serviceOfUser.SetPwd)
		//修改图片
		RegisterUpdatePicOneUser(user, "/updatepic", serviceOfUser.UpdatePic)
		// User修改一条
		RegisterUpdateOneUser(user, "/updateone", serviceOfUser.UpdateOne)
		// User修改多条
		// RegisterUpdateUser(user, "/update", serviceOfUser.Update)

		// 日志管理
		logs := party.Party("/logs")
		logs.Get("/loglist", Loglist)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 13:55:03
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
