// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	svr "LEIT_PM/services/pj"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 13:38:13
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块pj路由分组
	grmi.RegisterRouteMapping("/pj", func(party router.Party) {

		// ExpenseType的路由组
		expensetype := party.Party("/expensetype")
		// ExpenseType的服务实例
		var serviceOfExpenseType = svr.NewExpenseTypeService()
		// ExpenseType插入一条
		RegisterInsertOneExpenseType(expensetype, "/insertone", serviceOfExpenseType.InsertOne)
		// ExpenseType插入多条
		// RegisterInsertExpenseType(expensetype, "/insert", serviceOfExpenseType.Insert)
		// ExpenseType删除一条
		RegisterDeleteOneExpenseType(expensetype, "/deleteone", serviceOfExpenseType.DeleteOne)
		// ExpenseType删除多条
		// RegisterDeleteExpenseType(expensetype, "/delete", serviceOfExpenseType.Delete)
		// ExpenseType查询多条
		RegisterSelectExpenseType(expensetype, "/selectlist", serviceOfExpenseType.Select)
		// ExpenseType查询多条并分页
		RegisterQueryExpenseType(expensetype, "/query", serviceOfExpenseType.SelectAndPaging)
		// ExpenseType查询一条
		RegisterSelectOneExpenseType(expensetype, "/selectone", serviceOfExpenseType.SelectOne)
		// ExpenseType修改一条
		RegisterUpdateOneExpenseType(expensetype, "/updateone", serviceOfExpenseType.UpdateOne)
		// ExpenseType修改多条
		// RegisterUpdateExpenseType(expensetype, "/update", serviceOfExpenseType.Update)

		// Project的路由组
		project := party.Party("/project")
		// Project的服务实例
		var serviceOfProject = svr.NewProjectService()
		// Project插入一条
		RegisterInsertOneProject(project, "/insertone", serviceOfProject.InsertOne)
		// Project插入多条
		// RegisterInsertProject(project, "/insert", serviceOfProject.Insert)
		// Project删除一条
		RegisterDeleteOneProject(project, "/deleteone", serviceOfProject.DeleteOne)
		// Project删除多条
		// RegisterDeleteProject(project, "/delete", serviceOfProject.Delete)
		// Project查询多条
		RegisterSelectProject(project, "/selectlist", serviceOfProject.Select)
		// Project查询多条并分页
		RegisterQueryProject(project, "/query", serviceOfProject.SelectAndPaging)
		// Project查询一条
		RegisterSelectOneProject(project, "/selectone", serviceOfProject.SelectOne)
		// Project修改一条
		RegisterUpdateOneProject(project, "/updateone", serviceOfProject.UpdateOne)
		// Project修改多条
		// RegisterUpdateProject(project, "/update", serviceOfProject.Update)
		RegisterCloseProject(project, "/close", serviceOfProject.Close)

		// ProjectPaymentPhaseLst的路由组
		projectpaymentphaselst := party.Party("/projectpaymentphaselst")
		// ProjectPaymentPhaseLst的服务实例
		var serviceOfProjectPaymentPhaseLst = svr.NewProjectPaymentPhaseLstService()
		// ProjectPaymentPhaseLst插入一条
		RegisterInsertOneProjectPaymentPhaseLst(projectpaymentphaselst, "/insertone", serviceOfProjectPaymentPhaseLst.InsertOne)
		// ProjectPaymentPhaseLst插入多条
		// RegisterInsertProjectPaymentPhaseLst(projectpaymentphaselst, "/insert", serviceOfProjectPaymentPhaseLst.Insert)
		// ProjectPaymentPhaseLst删除一条
		RegisterDeleteOneProjectPaymentPhaseLst(projectpaymentphaselst, "/deleteone", serviceOfProjectPaymentPhaseLst.DeleteOne)
		// ProjectPaymentPhaseLst删除多条
		// RegisterDeleteProjectPaymentPhaseLst(projectpaymentphaselst, "/delete", serviceOfProjectPaymentPhaseLst.Delete)
		// ProjectPaymentPhaseLst查询多条
		RegisterSelectProjectPaymentPhaseLst(projectpaymentphaselst, "/selectlist", serviceOfProjectPaymentPhaseLst.Select)
		// ProjectPaymentPhaseLst查询多条并分页
		RegisterQueryProjectPaymentPhaseLst(projectpaymentphaselst, "/query", serviceOfProjectPaymentPhaseLst.SelectAndPaging)
		// ProjectPaymentPhaseLst查询一条
		RegisterSelectOneProjectPaymentPhaseLst(projectpaymentphaselst, "/selectone", serviceOfProjectPaymentPhaseLst.SelectOne)
		// ProjectPaymentPhaseLst修改一条
		RegisterUpdateOneProjectPaymentPhaseLst(projectpaymentphaselst, "/updateone", serviceOfProjectPaymentPhaseLst.UpdateOne)
		// ProjectPaymentPhaseLst修改多条
		// RegisterUpdateProjectPaymentPhaseLst(projectpaymentphaselst, "/update", serviceOfProjectPaymentPhaseLst.Update)

		// Phase的路由组
		phase := party.Party("/phase")
		// Phase的服务实例
		var serviceOfPhase = svr.NewPhaseService()
		// Phase插入一条
		RegisterInsertOnePhase(phase, "/insertone", serviceOfPhase.InsertOne)
		// Phase插入多条
		// RegisterInsertPhase(phase, "/insert", serviceOfPhase.Insert)
		// Phase删除一条
		RegisterDeleteOnePhase(phase, "/deleteone", serviceOfPhase.DeleteOne)
		// Phase删除多条
		// RegisterDeletePhase(phase, "/delete", serviceOfPhase.Delete)
		// Phase查询多条
		RegisterSelectPhase(phase, "/selectlist", serviceOfPhase.Select)
		// Phase查询多条并分页
		RegisterQueryPhase(phase, "/query", serviceOfPhase.SelectAndPaging)
		// Phase查询一条
		RegisterSelectOnePhase(phase, "/selectone", serviceOfPhase.SelectOne)
		// Phase修改一条
		RegisterUpdateOnePhase(phase, "/updateone", serviceOfPhase.UpdateOne)
		// Phase修改多条
		// RegisterUpdatePhase(phase, "/update", serviceOfPhase.Update)

		// Resource的路由组
		resource := party.Party("/resource")
		// Resource的服务实例
		var serviceOfResource = svr.NewResourceService()
		// Resource插入一条
		RegisterInsertOneResource(resource, "/insertone", serviceOfResource.InsertOne)
		// Resource插入多条
		// RegisterInsertResource(resource, "/insert", serviceOfResource.Insert)
		// Resource删除一条
		RegisterDeleteOneResource(resource, "/deleteone", serviceOfResource.DeleteOne)
		// Resource删除多条
		// RegisterDeleteResource(resource, "/delete", serviceOfResource.Delete)
		// Resource查询多条
		RegisterSelectResource(resource, "/selectlist", serviceOfResource.Select)
		// Resource查询多条并分页
		RegisterQueryResource(resource, "/query", serviceOfResource.SelectAndPaging)
		// Resource查询一条
		RegisterSelectOneResource(resource, "/selectone", serviceOfResource.SelectOne)
		// Resource修改一条
		RegisterUpdateOneResource(resource, "/updateone", serviceOfResource.UpdateOne)
		// Resource修改多条
		// RegisterUpdateResource(resource, "/update", serviceOfResource.Update)
		RegisterEnableResource(resource, "/enable", serviceOfResource.Enable)

		RegisterDisableResource(resource, "/disable", serviceOfResource.Disable)

		// ProjectPhaseLst的路由组
		projectphaselst := party.Party("/projectphaselst")
		// ProjectPhaseLst的服务实例
		var serviceOfProjectPhaseLst = svr.NewProjectPhaseLstService()
		// ProjectPhaseLst插入一条
		RegisterInsertOneProjectPhaseLst(projectphaselst, "/insertone", serviceOfProjectPhaseLst.InsertOne)
		// ProjectPhaseLst插入多条
		// RegisterInsertProjectPhaseLst(projectphaselst, "/insert", serviceOfProjectPhaseLst.Insert)
		// ProjectPhaseLst删除一条
		RegisterDeleteOneProjectPhaseLst(projectphaselst, "/deleteone", serviceOfProjectPhaseLst.DeleteOne)
		// ProjectPhaseLst删除多条
		// RegisterDeleteProjectPhaseLst(projectphaselst, "/delete", serviceOfProjectPhaseLst.Delete)
		// ProjectPhaseLst查询多条
		RegisterSelectProjectPhaseLst(projectphaselst, "/selectlist", serviceOfProjectPhaseLst.Select)
		// ProjectPhaseLst查询多条并分页
		RegisterQueryProjectPhaseLst(projectphaselst, "/query", serviceOfProjectPhaseLst.SelectAndPaging)
		// ProjectPhaseLst查询一条
		RegisterSelectOneProjectPhaseLst(projectphaselst, "/selectone", serviceOfProjectPhaseLst.SelectOne)
		// ProjectPhaseLst修改一条
		RegisterUpdateOneProjectPhaseLst(projectphaselst, "/updateone", serviceOfProjectPhaseLst.UpdateOne)
		// ProjectPhaseLst修改多条
		// RegisterUpdateProjectPhaseLst(projectphaselst, "/update", serviceOfProjectPhaseLst.Update)
		// ProjectPhaseLst修改一条
		RegisterPreadJustProjectPhaseLst(projectphaselst, "/preadjust", serviceOfProjectPhaseLst.PreadJust)

		RegisterCloseProjectPhaseLst(projectphaselst, "/close", serviceOfProjectPhaseLst.Close)

		// ProjectPhaseResourceLst的路由组
		projectphaseresourcelst := party.Party("/projectphaseresourcelst")
		// ProjectPhaseResourceLst的服务实例
		var serviceOfProjectPhaseResourceLst = svr.NewProjectPhaseResourceLstService()
		// ProjectPhaseResourceLst插入一条
		RegisterInsertOneProjectPhaseResourceLst(projectphaseresourcelst, "/insertone", serviceOfProjectPhaseResourceLst.InsertOne)
		// ProjectPhaseResourceLst插入多条
		// RegisterInsertProjectPhaseResourceLst(projectphaseresourcelst, "/insert", serviceOfProjectPhaseResourceLst.Insert)
		// ProjectPhaseResourceLst删除一条
		RegisterDeleteOneProjectPhaseResourceLst(projectphaseresourcelst, "/deleteone", serviceOfProjectPhaseResourceLst.DeleteOne)
		// ProjectPhaseResourceLst删除多条
		RegisterDeleteProjectPhaseResourceLst(projectphaseresourcelst, "/delete", serviceOfProjectPhaseResourceLst.Delete)
		// ProjectPhaseResourceLst查询多条
		RegisterSelectProjectPhaseResourceLst(projectphaseresourcelst, "/selectlist", serviceOfProjectPhaseResourceLst.Select)
		// ProjectPhaseResourceLst查询多条并分页
		RegisterQueryProjectPhaseResourceLst(projectphaseresourcelst, "/query", serviceOfProjectPhaseResourceLst.SelectAndPaging)
		// ProjectPhaseResourceLst查询一条
		RegisterSelectOneProjectPhaseResourceLst(projectphaseresourcelst, "/selectone", serviceOfProjectPhaseResourceLst.SelectOne)
		// ProjectPhaseResourceLst修改一条
		RegisterUpdateOneProjectPhaseResourceLst(projectphaseresourcelst, "/updateone", serviceOfProjectPhaseResourceLst.UpdateOne)
		// ProjectPhaseResourceLst修改多条
		// RegisterUpdateProjectPhaseResourceLst(projectphaseresourcelst, "/update", serviceOfProjectPhaseResourceLst.Update)

		// ProjectPhaseExpenseLst的路由组
		projectphaseexpenselst := party.Party("/projectphaseexpenselst")
		// ProjectPhaseExpenseLst的服务实例
		var serviceOfProjectPhaseExpenseLst = svr.NewProjectPhaseExpenseLstService()
		// ProjectPhaseExpenseLst插入一条
		RegisterInsertOneProjectPhaseExpenseLst(projectphaseexpenselst, "/insertone", serviceOfProjectPhaseExpenseLst.InsertOne)
		// ProjectPhaseExpenseLst插入多条
		// RegisterInsertProjectPhaseExpenseLst(projectphaseexpenselst, "/insert", serviceOfProjectPhaseExpenseLst.Insert)
		// ProjectPhaseExpenseLst删除一条
		RegisterDeleteOneProjectPhaseExpenseLst(projectphaseexpenselst, "/deleteone", serviceOfProjectPhaseExpenseLst.DeleteOne)
		// ProjectPhaseExpenseLst删除多条
		// RegisterDeleteProjectPhaseExpenseLst(projectphaseexpenselst, "/delete", serviceOfProjectPhaseExpenseLst.Delete)
		// ProjectPhaseExpenseLst查询多条
		RegisterSelectProjectPhaseExpenseLst(projectphaseexpenselst, "/selectlist", serviceOfProjectPhaseExpenseLst.Select)
		// ProjectPhaseExpenseLst查询多条并分页
		RegisterQueryProjectPhaseExpenseLst(projectphaseexpenselst, "/query", serviceOfProjectPhaseExpenseLst.SelectAndPaging)
		// ProjectPhaseExpenseLst查询一条
		RegisterSelectOneProjectPhaseExpenseLst(projectphaseexpenselst, "/selectone", serviceOfProjectPhaseExpenseLst.SelectOne)
		// ProjectPhaseExpenseLst修改一条
		RegisterUpdateOneProjectPhaseExpenseLst(projectphaseexpenselst, "/updateone", serviceOfProjectPhaseExpenseLst.UpdateOne)
		// ProjectPhaseExpenseLst修改多条
		// RegisterUpdateProjectPhaseExpenseLst(projectphaseexpenselst, "/update", serviceOfProjectPhaseExpenseLst.Update)


		// ProjectDocumentLst的路由组
		projectdocumentlst := party.Party("/projectdocumentlst")
		// ProjectDocumentLst的服务实例
		var serviceOfProjectDocumentLst = svr.NewProjectDocumentLstService()
		// ProjectDocumentLst插入一条
		// RegisterInsertOneProjectDocumentLst(projectdocumentlst, "/insertone", serviceOfProjectDocumentLst.InsertOne)
		// ProjectDocumentLst插入多条
		// RegisterInsertProjectDocumentLst(projectdocumentlst, "/insert", serviceOfProjectDocumentLst.Insert)
		// ProjectDocumentLst删除一条
		RegisterDeleteOneProjectDocumentLst(projectdocumentlst, "/deleteone", serviceOfProjectDocumentLst.DeleteOne)
		// ProjectDocumentLst删除多条
		// RegisterDeleteProjectDocumentLst(projectdocumentlst, "/delete", serviceOfProjectDocumentLst.Delete)
		// ProjectDocumentLst查询多条
		RegisterSelectProjectDocumentLst(projectdocumentlst, "/selectlist", serviceOfProjectDocumentLst.Select)
		// ProjectDocumentLst查询多条并分页
		RegisterQueryProjectDocumentLst(projectdocumentlst, "/query", serviceOfProjectDocumentLst.SelectAndPaging)
		// ProjectDocumentLst查询一条
		RegisterSelectOneProjectDocumentLst(projectdocumentlst, "/selectone", serviceOfProjectDocumentLst.SelectOne)
		// ProjectDocumentLst修改一条
		// RegisterUpdateOneProjectDocumentLst(projectdocumentlst, "/updateone", serviceOfProjectDocumentLst.UpdateOne)
		// ProjectDocumentLst修改多条
		// RegisterUpdateProjectDocumentLst(projectdocumentlst, "/update", serviceOfProjectDocumentLst.Update)

		RegisterUploadProjectDocumentLst(projectdocumentlst, "/upload", serviceOfProjectDocumentLst.Upload)

		// ProjectPhaseExpensePeopleLst的路由组
		projectphaseexpensepeoplelst := party.Party("/projectphaseexpensepeoplelst")
		// ProjectPhaseExpensePeopleLst的服务实例
		var serviceOfProjectPhaseExpensePeopleLst = svr.NewProjectPhaseExpensePeopleLstService()
		// ProjectPhaseExpensePeopleLst插入一条
		RegisterInsertOneProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/insertone", serviceOfProjectPhaseExpensePeopleLst.InsertOne)
		// ProjectPhaseExpensePeopleLst插入多条
		// RegisterInsertProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/insert", serviceOfProjectPhaseExpensePeopleLst.Insert)
		// ProjectPhaseExpensePeopleLst删除一条
		RegisterDeleteOneProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/deleteone", serviceOfProjectPhaseExpensePeopleLst.DeleteOne)
		// ProjectPhaseExpensePeopleLst删除多条
		// RegisterDeleteProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/delete", serviceOfProjectPhaseExpensePeopleLst.Delete)
		// ProjectPhaseExpensePeopleLst查询多条
		RegisterSelectProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/selectlist", serviceOfProjectPhaseExpensePeopleLst.Select)
		// ProjectPhaseExpensePeopleLst查询多条并分页
		RegisterQueryProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/query", serviceOfProjectPhaseExpensePeopleLst.SelectAndPaging)
		// ProjectPhaseExpensePeopleLst查询一条
		RegisterSelectOneProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/selectone", serviceOfProjectPhaseExpensePeopleLst.SelectOne)
		// ProjectPhaseExpensePeopleLst修改一条
		RegisterUpdateOneProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/updateone", serviceOfProjectPhaseExpensePeopleLst.UpdateOne)
		// ProjectPhaseExpensePeopleLst修改多条
		// RegisterUpdateProjectPhaseExpensePeopleLst(projectphaseexpensepeoplelst, "/update", serviceOfProjectPhaseExpensePeopleLst.Update)

		// ProjectPhaseResourcePeopleLst的路由组
		projectphaseresourcepeoplelst := party.Party("/projectphaseresourcepeoplelst")
		// ProjectPhaseResourcePeopleLst的服务实例
		var serviceOfProjectPhaseResourcePeopleLst = svr.NewProjectPhaseResourcePeopleLstService()
		// ProjectPhaseResourcePeopleLst插入一条
		RegisterInsertOneProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/insertone", serviceOfProjectPhaseResourcePeopleLst.InsertOne)
		// ProjectPhaseResourcePeopleLst插入多条
		// RegisterInsertProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/insert", serviceOfProjectPhaseResourcePeopleLst.Insert)
		// ProjectPhaseResourcePeopleLst删除一条
		RegisterDeleteOneProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/deleteone", serviceOfProjectPhaseResourcePeopleLst.DeleteOne)
		// ProjectPhaseResourcePeopleLst删除多条
		// RegisterDeleteProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/delete", serviceOfProjectPhaseResourcePeopleLst.Delete)
		// ProjectPhaseResourcePeopleLst查询多条
		RegisterSelectProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/selectlist", serviceOfProjectPhaseResourcePeopleLst.Select)
		// ProjectPhaseResourcePeopleLst查询多条并分页
		RegisterQueryProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/query", serviceOfProjectPhaseResourcePeopleLst.SelectAndPaging)
		// ProjectPhaseResourcePeopleLst查询一条
		RegisterSelectOneProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/selectone", serviceOfProjectPhaseResourcePeopleLst.SelectOne)
		// ProjectPhaseResourcePeopleLst修改一条
		RegisterUpdateOneProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/updateone", serviceOfProjectPhaseResourcePeopleLst.UpdateOne)
		// ProjectPhaseResourcePeopleLst修改多条
		// RegisterUpdateProjectPhaseResourcePeopleLst(projectphaseresourcepeoplelst, "/update", serviceOfProjectPhaseResourcePeopleLst.Update)

		// People的路由组
		people := party.Party("/people")
		// People的服务实例
		var serviceOfPeople = svr.NewPeopleService()
		// People插入一条
		RegisterInsertOnePeople(people, "/insertone", serviceOfPeople.InsertOne)
		// People插入多条
		// RegisterInsertPeople(people, "/insert", serviceOfPeople.Insert)
		// People删除一条
		RegisterDeleteOnePeople(people, "/deleteone", serviceOfPeople.DeleteOne)
		// People删除多条
		// RegisterDeletePeople(people, "/delete", serviceOfPeople.Delete)
		// People查询多条
		RegisterSelectPeople(people, "/selectlist", serviceOfPeople.Select)
		// People查询多条并分页
		RegisterQueryPeople(people, "/query", serviceOfPeople.SelectAndPaging)
		// People查询一条
		RegisterSelectOnePeople(people, "/selectone", serviceOfPeople.SelectOne)
		// People修改一条
		RegisterUpdateOnePeople(people, "/updateone", serviceOfPeople.UpdateOne)
		// People修改多条
		// RegisterUpdatePeople(people, "/update", serviceOfPeople.Update)

	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
